import * as i0 from '@angular/core';
import { Component, NgModule, Input } from '@angular/core';
import * as i3 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@fortawesome/angular-fontawesome';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { fa0, fa1, fa2, fa3, fa4, fa5, fa6, fa7, fa8, fa9, faFillDrip, faArrowsToCircle, faCircleChevronRight, faChevronCircleRight, faAt, faTrashCan, faTrashAlt, faTextHeight, faUserXmark, faUserTimes, faStethoscope, faMessage, faCommentAlt, faInfo, faDownLeftAndUpRightToCenter, faCompressAlt, faExplosion, faFileLines, faFileAlt, faFileText, faWaveSquare, faRing, faBuildingUn, faDiceThree, faCalendarDays, faCalendarAlt, faAnchorCircleCheck, faBuildingCircleArrowRight, faVolleyball, faVolleyballBall, faArrowsUpToLine, faSortDown, faSortDesc, faCircleMinus, faMinusCircle, faDoorOpen, faRightFromBracket, faSignOutAlt, faAtom, faSoap, faIcons, faHeartMusicCameraBolt, faMicrophoneLinesSlash, faMicrophoneAltSlash, faBridgeCircleCheck, faPumpMedical, faFingerprint, faHandPointRight, faMagnifyingGlassLocation, faSearchLocation, faForwardStep, faStepForward, faFaceSmileBeam, faSmileBeam, faFlagCheckered, faFootball, faFootballBall, faSchoolCircleExclamation, faCrop, faAnglesDown, faAngleDoubleDown, faUsersRectangle, faPeopleRoof, faPeopleLine, faBeerMugEmpty, faBeer, faDiagramPredecessor, faArrowUpLong, faLongArrowUp, faFireFlameSimple, faBurn, faPerson, faMale, faLaptop, faFileCsv, faMenorah, faTruckPlane, faRecordVinyl, faFaceGrinStars, faGrinStars, faBong, faSpaghettiMonsterFlying, faPastafarianism, faArrowDownUpAcrossLine, faSpoon, faUtensilSpoon, faJarWheat, faEnvelopesBulk, faMailBulk, faFileCircleExclamation, faCircleH, faHospitalSymbol, faPager, faAddressBook, faContactBook, faStrikethrough, faK, faLandmarkFlag, faPencil, faPencilAlt, faBackward, faCaretRight, faComments, faPaste, faFileClipboard, faCodePullRequest, faClipboardList, faTruckRampBox, faTruckLoading, faUserCheck, faVialVirus, faSheetPlastic, faBlog, faUserNinja, faPersonArrowUpFromLine, faScrollTorah, faTorah, faBroomBall, faQuidditch, faQuidditchBroomBall, faToggleOff, faBoxArchive, faArchive, faPersonDrowning, faArrowDown91, faSortNumericDesc, faSortNumericDownAlt, faFaceGrinTongueSquint, faGrinTongueSquint, faSprayCan, faTruckMonster, faW, faEarthAfrica, faGlobeAfrica, faRainbow, faCircleNotch, faTabletScreenButton, faTabletAlt, faPaw, faCloud, faTrowelBricks, faFaceFlushed, faFlushed, faHospitalUser, faTentArrowLeftRight, faGavel, faLegal, faBinoculars, faMicrophoneSlash, faBoxTissue, faMotorcycle, faBellConcierge, faConciergeBell, faPenRuler, faPencilRuler, faPeopleArrows, faPeopleArrowsLeftRight, faMarsAndVenusBurst, faSquareCaretRight, faCaretSquareRight, faScissors, faCut, faSunPlantWilt, faToiletsPortable, faHockeyPuck, faTable, faMagnifyingGlassArrowRight, faTachographDigital, faDigitalTachograph, faUsersSlash, faClover, faReply, faMailReply, faStarAndCrescent, faHouseFire, faSquareMinus, faMinusSquare, faHelicopter, faCompass, faSquareCaretDown, faCaretSquareDown, faFileCircleQuestion, faLaptopCode, faSwatchbook, faPrescriptionBottle, faBars, faNavicon, faPeopleGroup, faHourglassEnd, faHourglass3, faHeartCrack, faHeartBroken, faSquareUpRight, faExternalLinkSquareAlt, faFaceKissBeam, faKissBeam, faFilm, faRulerHorizontal, faPeopleRobbery, faLightbulb, faCaretLeft, faCircleExclamation, faExclamationCircle, faSchoolCircleXmark, faArrowRightFromBracket, faSignOut, faCircleChevronDown, faChevronCircleDown, faUnlockKeyhole, faUnlockAlt, faCloudShowersHeavy, faHeadphonesSimple, faHeadphonesAlt, faSitemap, faCircleDollarToSlot, faDonate, faMemory, faRoadSpikes, faFireBurner, faFlag, faHanukiah, faFeather, faVolumeLow, faVolumeDown, faCommentSlash, faCloudSunRain, faCompress, faWheatAwn, faWheatAlt, faAnkh, faHandsHoldingChild, faAsterisk, faSquareCheck, faCheckSquare, faPesetaSign, faHeading, faHeader, faGhost, faList, faListSquares, faSquarePhoneFlip, faPhoneSquareAlt, faCartPlus, faGamepad, faCircleDot, faDotCircle, faFaceDizzy, faDizzy, faEgg, faHouseMedicalCircleXmark, faCampground, faFolderPlus, faFutbol, faFutbolBall, faSoccerBall, faPaintbrush, faPaintBrush, faLock, faGasPump, faHotTubPerson, faHotTub, faMapLocation, faMapMarked, faHouseFloodWater, faTree, faBridgeLock, faSackDollar, faPenToSquare, faEdit, faCarSide, faShareNodes, faShareAlt, faHeartCircleMinus, faHourglassHalf, faHourglass2, faMicroscope, faSink, faBagShopping, faShoppingBag, faArrowDownZA, faSortAlphaDesc, faSortAlphaDownAlt, faMitten, faPersonRays, faUsers, faEyeSlash, faFlaskVial, faHand, faHandPaper, faOm, faWorm, faHouseCircleXmark, faPlug, faChevronUp, faHandSpock, faStopwatch, faFaceKiss, faKiss, faBridgeCircleXmark, faFaceGrinTongue, faGrinTongue, faChessBishop, faFaceGrinWink, faGrinWink, faEarDeaf, faDeaf, faDeafness, faHardOfHearing, faRoadCircleCheck, faDiceFive, faSquareRss, faRssSquare, faLandMineOn, faICursor, faStamp, faStairs, faI, faHryvniaSign, faHryvnia, faPills, faFaceGrinWide, faGrinAlt, faTooth, faV, faBicycle, faStaffSnake, faRodAsclepius, faRodSnake, faStaffAesculapius, faHeadSideCoughSlash, faTruckMedical, faAmbulance, faWheatAwnCircleExclamation, faSnowman, faMortarPestle, faRoadBarrier, faSchool, faIgloo, faJoint, faAngleRight, faHorse, faQ, faG, faNotesMedical, faTemperatureHalf, faTemperature2, faThermometer2, faThermometerHalf, faDongSign, faCapsules, faPooStorm, faPooBolt, faFaceFrownOpen, faFrownOpen, faHandPointUp, faMoneyBill, faBookmark, faAlignJustify, faUmbrellaBeach, faHelmetUn, faBullseye, faBacon, faHandPointDown, faArrowUpFromBracket, faFolder, faFolderBlank, faFileWaveform, faFileMedicalAlt, faRadiation, faChartSimple, faMarsStroke, faVial, faGauge, faDashboard, faGaugeMed, faTachometerAltAverage, faWandMagicSparkles, faMagicWandSparkles, faE, faPenClip, faPenAlt, faBridgeCircleExclamation, faUser, faSchoolCircleCheck, faDumpster, faVanShuttle, faShuttleVan, faBuildingUser, faSquareCaretLeft, faCaretSquareLeft, faHighlighter, faKey, faBullhorn, faGlobe, faSynagogue, faPersonHalfDress, faRoadBridge, faLocationArrow, faC, faTabletButton, faBuildingLock, faPizzaSlice, faMoneyBillWave, faChartArea, faAreaChart, faHouseFlag, faPersonCircleMinus, faBan, faCancel, faCameraRotate, faSprayCanSparkles, faAirFreshener, faStar, faRepeat, faCross, faBox, faVenusMars, faArrowPointer, faMousePointer, faMaximize, faExpandArrowsAlt, faChargingStation, faShapes, faTriangleCircleSquare, faShuffle, faRandom, faPersonRunning, faRunning, faMobileRetro, faGripLinesVertical, faSpider, faHandsBound, faFileInvoiceDollar, faPlaneCircleExclamation, faXRay, faSpellCheck, faSlash, faComputerMouse, faMouse, faArrowRightToBracket, faSignIn, faShopSlash, faStoreAltSlash, faServer, faVirusCovidSlash, faShopLock, faHourglassStart, faHourglass1, faBlenderPhone, faBuildingWheat, faPersonBreastfeeding, faRightToBracket, faSignInAlt, faVenus, faPassport, faHeartPulse, faHeartbeat, faPeopleCarryBox, faPeopleCarry, faTemperatureHigh, faMicrochip, faCrown, faWeightHanging, faXmarksLines, faFilePrescription, faWeightScale, faWeight, faUserGroup, faUserFriends, faArrowUpAZ, faSortAlphaUp, faChessKnight, faFaceLaughSquint, faLaughSquint, faWheelchair, faCircleArrowUp, faArrowCircleUp, faToggleOn, faPersonWalking, faWalking, faL, faFire, faBedPulse, faProcedures, faShuttleSpace, faSpaceShuttle, faFaceLaugh, faLaugh, faFolderOpen, faHeartCirclePlus, faCodeFork, faCity, faMicrophoneLines, faMicrophoneAlt, faPepperHot, faUnlock, faColonSign, faHeadset, faStoreSlash, faRoadCircleXmark, faUserMinus, faMarsStrokeUp, faMarsStrokeV, faChampagneGlasses, faGlassCheers, faClipboard, faHouseCircleExclamation, faFileArrowUp, faFileUpload, faWifi, faWifi3, faWifiStrong, faBath, faBathtub, faUnderline, faUserPen, faUserEdit, faSignature, faStroopwafel, faBold, faAnchorLock, faBuildingNgo, faManatSign, faNotEqual, faBorderTopLeft, faBorderStyle, faMapLocationDot, faMapMarkedAlt, faJedi, faSquarePollVertical, faPoll, faMugHot, faCarBattery, faBatteryCar, faGift, faDiceTwo, faChessQueen, faGlasses, faChessBoard, faBuildingCircleCheck, faPersonChalkboard, faMarsStrokeRight, faMarsStrokeH, faHandBackFist, faHandRock, faSquareCaretUp, faCaretSquareUp, faCloudShowersWater, faChartBar, faBarChart, faHandsBubbles, faHandsWash, faLessThanEqual, faTrain, faEyeLowVision, faLowVision, faCrow, faSailboat, faWindowRestore, faSquarePlus, faPlusSquare, faToriiGate, faFrog, faBucket, faImage, faMicrophone, faCow, faCaretUp, faScrewdriver, faFolderClosed, faHouseTsunami, faSquareNfi, faArrowUpFromGroundWater, faMartiniGlass, faGlassMartiniAlt, faRotateLeft, faRotateBack, faRotateBackward, faUndoAlt, faTableColumns, faColumns, faLemon, faHeadSideMask, faHandshake, faGem, faDolly, faDollyBox, faSmoking, faMinimize, faCompressArrowsAlt, faMonument, faSnowplow, faAnglesRight, faAngleDoubleRight, faCannabis, faCirclePlay, faPlayCircle, faTablets, faEthernet, faEuroSign, faEur, faEuro, faChair, faCircleCheck, faCheckCircle, faCircleStop, faStopCircle, faCompassDrafting, faDraftingCompass, faPlateWheat, faIcicles, faPersonShelter, faNeuter, faIdBadge, faMarker, faFaceLaughBeam, faLaughBeam, faHelicopterSymbol, faUniversalAccess, faCircleChevronUp, faChevronCircleUp, faLariSign, faVolcano, faPersonWalkingDashedLineArrowRight, faSterlingSign, faGbp, faPoundSign, faViruses, faSquarePersonConfined, faUserTie, faArrowDownLong, faLongArrowDown, faTentArrowDownToLine, faCertificate, faReplyAll, faMailReplyAll, faSuitcase, faPersonSkating, faSkating, faFilterCircleDollar, faFunnelDollar, faCameraRetro, faCircleArrowDown, faArrowCircleDown, faFileImport, faArrowRightToFile, faSquareArrowUpRight, faExternalLinkSquare, faBoxOpen, faScroll, faSpa, faLocationPinLock, faPause, faHillAvalanche, faTemperatureEmpty, faTemperature0, faThermometer0, faThermometerEmpty, faBomb, faRegistered, faAddressCard, faContactCard, faVcard, faScaleUnbalancedFlip, faBalanceScaleRight, faSubscript, faDiamondTurnRight, faDirections, faBurst, faHouseLaptop, faLaptopHouse, faFaceTired, faTired, faMoneyBills, faSmog, faCrutch, faFontAwesome, faFontAwesomeFlag, faFontAwesomeLogoFull, faCloudArrowUp, faCloudUpload, faCloudUploadAlt, faPalette, faArrowsTurnRight, faVest, faFerry, faArrowsDownToPeople, faSeedling, faSprout, faLeftRight, faArrowsAltH, faBoxesPacking, faCircleArrowLeft, faArrowCircleLeft, faGroupArrowsRotate, faBowlFood, faCandyCane, faArrowDownWideShort, faSortAmountAsc, faSortAmountDown, faCloudBolt, faThunderstorm, faTextSlash, faRemoveFormat, faFaceSmileWink, faSmileWink, faFileWord, faFilePowerpoint, faArrowsLeftRight, faArrowsH, faHouseLock, faCloudArrowDown, faCloudDownload, faCloudDownloadAlt, faChildren, faChalkboard, faBlackboard, faUserLargeSlash, faUserAltSlash, faEnvelopeOpen, faHandshakeSimpleSlash, faHandshakeAltSlash, faMattressPillow, faGuaraniSign, faArrowsRotate, faRefresh, faSync, faFireExtinguisher, faCruzeiroSign, faGreaterThanEqual, faShieldHalved, faShieldAlt, faBookAtlas, faAtlas, faVirus, faEnvelopeCircleCheck, faLayerGroup, faArrowsToDot, faArchway, faHeartCircleCheck, faHouseChimneyCrack, faHouseDamage, faFileZipper, faFileArchive, faSquare, faMartiniGlassEmpty, faGlassMartini, faCouch, faCediSign, faItalic, faChurch, faCommentsDollar, faDemocrat, faZ, faPersonSkiing, faSkiing, faRoadLock, faA, faTemperatureArrowDown, faTemperatureDown, faFeatherPointed, faFeatherAlt, faP, faSnowflake, faNewspaper, faRectangleAd, faAd, faCircleArrowRight, faArrowCircleRight, faFilterCircleXmark, faLocust, faSort, faUnsorted, faListOl, faList12, faListNumeric, faPersonDressBurst, faMoneyCheckDollar, faMoneyCheckAlt, faVectorSquare, faBreadSlice, faLanguage, faFaceKissWinkHeart, faKissWinkHeart, faFilter, faQuestion, faFileSignature, faUpDownLeftRight, faArrowsAlt, faHouseChimneyUser, faHandHoldingHeart, faPuzzlePiece, faMoneyCheck, faStarHalfStroke, faStarHalfAlt, faCode, faWhiskeyGlass, faGlassWhiskey, faBuildingCircleExclamation, faMagnifyingGlassChart, faArrowUpRightFromSquare, faExternalLink, faCubesStacked, faWonSign, faKrw, faWon, faVirusCovid, faAustralSign, faF, faLeaf, faRoad, faTaxi, faCab, faPersonCirclePlus, faChartPie, faPieChart, faBoltLightning, faSackXmark, faFileExcel, faFileContract, faFishFins, faBuildingFlag, faFaceGrinBeam, faGrinBeam, faObjectUngroup, faPoop, faLocationPin, faMapMarker, faKaaba, faToiletPaper, faHelmetSafety, faHardHat, faHatHard, faEject, faCircleRight, faArrowAltCircleRight, faPlaneCircleCheck, faFaceRollingEyes, faMehRollingEyes, faObjectGroup, faChartLine, faLineChart, faMaskVentilator, faArrowRight, faSignsPost, faMapSigns, faCashRegister, faPersonCircleQuestion, faH, faTarp, faScrewdriverWrench, faTools, faArrowsToEye, faPlugCircleBolt, faHeart, faMarsAndVenus, faHouseUser, faHomeUser, faDumpsterFire, faHouseCrack, faMartiniGlassCitrus, faCocktail, faFaceSurprise, faSurprise, faBottleWater, faCirclePause, faPauseCircle, faToiletPaperSlash, faAppleWhole, faAppleAlt, faKitchenSet, faR, faTemperatureQuarter, faTemperature1, faThermometer1, faThermometerQuarter, faCube, faBitcoinSign, faShieldDog, faSolarPanel, faLockOpen, faElevator, faMoneyBillTransfer, faMoneyBillTrendUp, faHouseFloodWaterCircleArrowRight, faSquarePollHorizontal, faPollH, faCircle, faBackwardFast, faFastBackward, faRecycle, faUserAstronaut, faPlaneSlash, faTrademark, faBasketball, faBasketballBall, faSatelliteDish, faCircleUp, faArrowAltCircleUp, faMobileScreenButton, faMobileAlt, faVolumeHigh, faVolumeUp, faUsersRays, faWallet, faClipboardCheck, faFileAudio, faBurger, faHamburger, faWrench, faBugs, faRupeeSign, faRupee, faFileImage, faCircleQuestion, faQuestionCircle, faPlaneDeparture, faHandshakeSlash, faBookBookmark, faCodeBranch, faHatCowboy, faBridge, faPhoneFlip, faPhoneAlt, faTruckFront, faCat, faAnchorCircleExclamation, faTruckField, faRoute, faClipboardQuestion, faPanorama, faCommentMedical, faTeethOpen, faFileCircleMinus, faTags, faWineGlass, faForwardFast, faFastForward, faFaceMehBlank, faMehBlank, faSquareParking, faParking, faHouseSignal, faBarsProgress, faTasksAlt, faFaucetDrip, faCartFlatbed, faDollyFlatbed, faBanSmoking, faSmokingBan, faTerminal, faMobileButton, faHouseMedicalFlag, faBasketShopping, faShoppingBasket, faTape, faBusSimple, faBusAlt, faEye, faFaceSadCry, faSadCry, faAudioDescription, faPersonMilitaryToPerson, faFileShield, faUserSlash, faPen, faTowerObservation, faFileCode, faSignal, faSignal5, faSignalPerfect, faBus, faHeartCircleXmark, faHouseChimney, faHomeLg, faWindowMaximize, faFaceFrown, faFrown, faPrescription, faShop, faStoreAlt, faFloppyDisk, faSave, faVihara, faScaleUnbalanced, faBalanceScaleLeft, faSortUp, faSortAsc, faCommentDots, faCommenting, faPlantWilt, faDiamond, faFaceGrinSquint, faGrinSquint, faHandHoldingDollar, faHandHoldingUsd, faBacterium, faHandPointer, faDrumSteelpan, faHandScissors, faHandsPraying, faPrayingHands, faArrowRotateRight, faArrowRightRotate, faArrowRotateForward, faRedo, faBiohazard, faLocationCrosshairs, faLocation, faMarsDouble, faChildDress, faUsersBetweenLines, faLungsVirus, faFaceGrinTears, faGrinTears, faPhone, faCalendarXmark, faCalendarTimes, faChildReaching, faHeadSideVirus, faUserGear, faUserCog, faArrowUp19, faSortNumericUp, faDoorClosed, faShieldVirus, faDiceSix, faMosquitoNet, faBridgeWater, faPersonBooth, faTextWidth, faHatWizard, faPenFancy, faPersonDigging, faDigging, faTrash, faGaugeSimple, faGaugeSimpleMed, faTachometerAverage, faBookMedical, faPoo, faQuoteRight, faQuoteRightAlt, faShirt, faTShirt, faTshirt, faCubes, faDivide, faTengeSign, faTenge, faHeadphones, faHandsHolding, faHandsClapping, faRepublican, faArrowLeft, faPersonCircleXmark, faRuler, faAlignLeft, faDiceD6, faRestroom, faJ, faUsersViewfinder, faFileVideo, faUpRightFromSquare, faExternalLinkAlt, faTableCells, faTh, faFilePdf, faBookBible, faBible, faO, faSuitcaseMedical, faMedkit, faUserSecret, faOtter, faPersonDress, faFemale, faCommentDollar, faBusinessTime, faBriefcaseClock, faTableCellsLarge, faThLarge, faBookTanakh, faTanakh, faPhoneVolume, faVolumeControlPhone, faHatCowboySide, faClipboardUser, faChild, faLiraSign, faSatellite, faPlaneLock, faTag, faComment, faCakeCandles, faBirthdayCake, faCake, faEnvelope, faAnglesUp, faAngleDoubleUp, faPaperclip, faArrowRightToCity, faRibbon, faLungs, faArrowUp91, faSortNumericUpAlt, faLitecoinSign, faBorderNone, faCircleNodes, faParachuteBox, faIndent, faTruckFieldUn, faHourglass, faHourglassEmpty, faMountain, faUserDoctor, faUserMd, faCircleInfo, faInfoCircle, faCloudMeatball, faCamera, faCameraAlt, faSquareVirus, faMeteor, faCarOn, faSleigh, faArrowDown19, faSortNumericAsc, faSortNumericDown, faHandHoldingDroplet, faHandHoldingWater, faWater, faCalendarCheck, faBraille, faPrescriptionBottleMedical, faPrescriptionBottleAlt, faLandmark, faTruck, faCrosshairs, faPersonCane, faTent, faVestPatches, faCheckDouble, faArrowDownAZ, faSortAlphaAsc, faSortAlphaDown, faMoneyBillWheat, faCookie, faArrowRotateLeft, faArrowLeftRotate, faArrowRotateBack, faArrowRotateBackward, faUndo, faHardDrive, faHdd, faFaceGrinSquintTears, faGrinSquintTears, faDumbbell, faRectangleList, faListAlt, faTarpDroplet, faHouseMedicalCircleCheck, faPersonSkiingNordic, faSkiingNordic, faCalendarPlus, faPlaneArrival, faCircleLeft, faArrowAltCircleLeft, faTrainSubway, faSubway, faChartGantt, faIndianRupeeSign, faIndianRupee, faInr, faCropSimple, faCropAlt, faMoneyBill1, faMoneyBillAlt, faLeftLong, faLongArrowAltLeft, faDna, faVirusSlash, faMinus, faSubtract, faChildRifle, faChess, faArrowLeftLong, faLongArrowLeft, faPlugCircleCheck, faStreetView, faFrancSign, faVolumeOff, faHandsAslInterpreting, faAmericanSignLanguageInterpreting, faAslInterpreting, faHandsAmericanSignLanguageInterpreting, faGear, faCog, faDropletSlash, faTintSlash, faMosque, faMosquito, faStarOfDavid, faPersonMilitaryRifle, faCartShopping, faShoppingCart, faVials, faPlugCirclePlus, faPlaceOfWorship, faGripVertical, faArrowTurnUp, faLevelUp, faU, faSquareRootVariable, faSquareRootAlt, faClock, faClockFour, faBackwardStep, faStepBackward, faPallet, faFaucet, faBaseballBatBall, faS, faTimeline, faKeyboard, faCaretDown, faHouseChimneyMedical, faClinicMedical, faTemperatureThreeQuarters, faTemperature3, faThermometer3, faThermometerThreeQuarters, faMobileScreen, faMobileAndroidAlt, faPlaneUp, faPiggyBank, faBatteryHalf, faBattery3, faMountainCity, faCoins, faKhanda, faSliders, faSlidersH, faFolderTree, faNetworkWired, faMapPin, faHamsa, faCentSign, faFlask, faPersonPregnant, faWandSparkles, faEllipsisVertical, faEllipsisV, faTicket, faPowerOff, faRightLong, faLongArrowAltRight, faFlagUsa, faLaptopFile, faTty, faTeletype, faDiagramNext, faPersonRifle, faHouseMedicalCircleExclamation, faClosedCaptioning, faPersonHiking, faHiking, faVenusDouble, faImages, faCalculator, faPeoplePulling, faN, faCableCar, faTram, faCloudRain, faBuildingCircleXmark, faShip, faArrowsDownToLine, faDownload, faFaceGrin, faGrin, faDeleteLeft, faBackspace, faEyeDropper, faEyeDropperEmpty, faEyedropper, faFileCircleCheck, faForward, faMobile, faMobileAndroid, faMobilePhone, faFaceMeh, faMeh, faAlignCenter, faBookSkull, faBookDead, faIdCard, faDriversLicense, faOutdent, faDedent, faHeartCircleExclamation, faHouse, faHome, faHomeAlt, faHomeLgAlt, faCalendarWeek, faLaptopMedical, faB, faFileMedical, faDiceOne, faKiwiBird, faArrowRightArrowLeft, faExchange, faRotateRight, faRedoAlt, faRotateForward, faUtensils, faCutlery, faArrowUpWideShort, faSortAmountUp, faMillSign, faBowlRice, faSkull, faTowerBroadcast, faBroadcastTower, faTruckPickup, faUpLong, faLongArrowAltUp, faStop, faCodeMerge, faUpload, faHurricane, faMound, faToiletPortable, faCompactDisc, faFileArrowDown, faFileDownload, faCaravan, faShieldCat, faBolt, faZap, faGlassWater, faOilWell, faVault, faMars, faToilet, faPlaneCircleXmark, faYenSign, faCny, faJpy, faRmb, faYen, faRubleSign, faRouble, faRub, faRuble, faSun, faGuitar, faFaceLaughWink, faLaughWink, faHorseHead, faBoreHole, faIndustry, faCircleDown, faArrowAltCircleDown, faArrowsTurnToDots, faFlorinSign, faArrowDownShortWide, faSortAmountDesc, faSortAmountDownAlt, faLessThan, faAngleDown, faCarTunnel, faHeadSideCough, faGripLines, faThumbsDown, faUserLock, faArrowRightLong, faLongArrowRight, faAnchorCircleXmark, faEllipsis, faEllipsisH, faChessPawn, faKitMedical, faFirstAid, faPersonThroughWindow, faToolbox, faHandsHoldingCircle, faBug, faCreditCard, faCreditCardAlt, faCar, faAutomobile, faHandHoldingHand, faBookOpenReader, faBookReader, faMountainSun, faArrowsLeftRightToLine, faDiceD20, faTruckDroplet, faFileCircleXmark, faTemperatureArrowUp, faTemperatureUp, faMedal, faBed, faSquareH, faHSquare, faPodcast, faTemperatureFull, faTemperature4, faThermometer4, faThermometerFull, faBell, faSuperscript, faPlugCircleXmark, faStarOfLife, faPhoneSlash, faPaintRoller, faHandshakeAngle, faHandsHelping, faLocationDot, faMapMarkerAlt, faFile, faGreaterThan, faPersonSwimming, faSwimmer, faArrowDown, faDroplet, faTint, faEraser, faEarthAmericas, faEarth, faEarthAmerica, faGlobeAmericas, faPersonBurst, faDove, faBatteryEmpty, faBattery0, faSocks, faInbox, faSection, faGaugeHigh, faTachometerAlt, faTachometerAltFast, faEnvelopeOpenText, faHospital, faHospitalAlt, faHospitalWide, faWineBottle, faChessRook, faBarsStaggered, faReorder, faStream, faDharmachakra, faHotdog, faPersonWalkingWithCane, faBlind, faDrum, faIceCream, faHeartCircleBolt, faFax, faParagraph, faCheckToSlot, faVoteYea, faStarHalf, faBoxesStacked, faBoxes, faBoxesAlt, faLink, faChain, faEarListen, faAssistiveListeningSystems, faTreeCity, faPlay, faFont, faRupiahSign, faMagnifyingGlass, faSearch, faTableTennisPaddleBall, faPingPongPaddleBall, faTableTennis, faPersonDotsFromLine, faDiagnoses, faTrashCanArrowUp, faTrashRestoreAlt, faNairaSign, faCartArrowDown, faWalkieTalkie, faFilePen, faFileEdit, faReceipt, faSquarePen, faPenSquare, faPencilSquare, faSuitcaseRolling, faPersonCircleExclamation, faChevronDown, faBatteryFull, faBattery, faBattery5, faSkullCrossbones, faCodeCompare, faListUl, faListDots, faSchoolLock, faTowerCell, faDownLong, faLongArrowAltDown, faRankingStar, faChessKing, faPersonHarassing, faBrazilianRealSign, faLandmarkDome, faLandmarkAlt, faArrowUp, faTv, faTelevision, faTvAlt, faShrimp, faListCheck, faTasks, faJugDetergent, faCircleUser, faUserCircle, faUserShield, faWind, faCarBurst, faCarCrash, faY, faPersonSnowboarding, faSnowboarding, faTruckFast, faShippingFast, faFish, faUserGraduate, faCircleHalfStroke, faAdjust, faClapperboard, faCircleRadiation, faRadiationAlt, faBaseball, faBaseballBall, faJetFighterUp, faDiagramProject, faProjectDiagram, faCopy, faVolumeXmark, faVolumeMute, faVolumeTimes, faHandSparkles, faGrip, faGripHorizontal, faShareFromSquare, faShareSquare, faGun, faSquarePhone, faPhoneSquare, faPlus, faAdd, faExpand, faComputer, faXmark, faClose, faMultiply, faRemove, faTimes, faArrowsUpDownLeftRight, faArrows, faChalkboardUser, faChalkboardTeacher, faPesoSign, faBuildingShield, faBaby, faUsersLine, faQuoteLeft, faQuoteLeftAlt, faTractor, faTrashArrowUp, faTrashRestore, faArrowDownUpLock, faLinesLeaning, faRulerCombined, faCopyright, faEquals, faBlender, faTeeth, faShekelSign, faIls, faShekel, faSheqel, faSheqelSign, faMap, faRocket, faPhotoFilm, faPhotoVideo, faFolderMinus, faStore, faArrowTrendUp, faPlugCircleMinus, faSignHanging, faSign, faBezierCurve, faBellSlash, faTablet, faTabletAndroid, faSchoolFlag, faFill, faAngleUp, faDrumstickBite, faHollyBerry, faChevronLeft, faBacteria, faHandLizard, faDisease, faBriefcaseMedical, faGenderless, faChevronRight, faRetweet, faCarRear, faCarAlt, faPumpSoap, faVideoSlash, faBatteryQuarter, faBattery2, faRadio, faBabyCarriage, faCarriageBaby, faTrafficLight, faThermometer, faVrCardboard, faHandMiddleFinger, faPercent, faPercentage, faTruckMoving, faGlassWaterDroplet, faDisplay, faFaceSmile, faSmile, faThumbtack, faThumbTack, faTrophy, faPersonPraying, faPray, faHammer, faHandPeace, faRotate, faSyncAlt, faSpinner, faRobot, faPeace, faGears, faCogs, faWarehouse, faArrowUpRightDots, faSplotch, faFaceGrinHearts, faGrinHearts, faDiceFour, faSimCard, faTransgender, faTransgenderAlt, faMercury, faArrowTurnDown, faLevelDown, faPersonFallingBurst, faAward, faTicketSimple, faTicketAlt, faBuilding, faAnglesLeft, faAngleDoubleLeft, faQrcode, faClockRotateLeft, faHistory, faFaceGrinBeamSweat, faGrinBeamSweat, faFileExport, faArrowRightFromFile, faShield, faShieldBlank, faArrowUpShortWide, faSortAmountUpAlt, faHouseMedical, faGolfBallTee, faGolfBall, faCircleChevronLeft, faChevronCircleLeft, faHouseChimneyWindow, faPenNib, faTentArrowTurnLeft, faTents, faWandMagic, faMagic, faDog, faCarrot, faMoon, faWineGlassEmpty, faWineGlassAlt, faCheese, faYinYang, faMusic, faCodeCommit, faTemperatureLow, faPersonBiking, faBiking, faBroom, faShieldHeart, faGopuram, faEarthOceania, faGlobeOceania, faSquareXmark, faTimesSquare, faXmarkSquare, faHashtag, faUpRightAndDownLeftFromCenter, faExpandAlt, faOilCan, faT, faHippo, faChartColumn, faInfinity, faVialCircleCheck, faPersonArrowDownToLine, faVoicemail, faFan, faPersonWalkingLuggage, faUpDown, faArrowsAltV, faCloudMoonRain, faCalendar, faTrailer, faBahai, faHaykal, faSdCard, faDragon, faShoePrints, faCirclePlus, faPlusCircle, faFaceGrinTongueWink, faGrinTongueWink, faHandHolding, faPlugCircleExclamation, faLinkSlash, faChainBroken, faChainSlash, faUnlink, faClone, faPersonWalkingArrowLoopLeft, faArrowUpZA, faSortAlphaUpAlt, faFireFlameCurved, faFireAlt, faTornado, faFileCirclePlus, faBookQuran, faQuran, faAnchor, faBorderAll, faFaceAngry, faAngry, faCookieBite, faArrowTrendDown, faRss, faFeed, faDrawPolygon, faScaleBalanced, faBalanceScale, faGaugeSimpleHigh, faTachometer, faTachometerFast, faShower, faDesktop, faDesktopAlt, faM, faTableList, faThList, faCommentSms, faSms, faBook, faUserPlus, faCheck, faBatteryThreeQuarters, faBattery4, faHouseCircleCheck, faAngleLeft, faDiagramSuccessor, faTruckArrowRight, faArrowsSplitUpAndLeft, faHandFist, faFistRaised, faCloudMoon, faBriefcase, faPersonFalling, faImagePortrait, faPortrait, faUserTag, faRug, faEarthEurope, faGlobeEurope, faCartFlatbedSuitcase, faLuggageCart, faRectangleXmark, faRectangleTimes, faTimesRectangle, faWindowClose, faBahtSign, faBookOpen, faBookJournalWhills, faJournalWhills, faHandcuffs, faTriangleExclamation, faExclamationTriangle, faWarning, faDatabase, faShare, faArrowTurnRight, faMailForward, faBottleDroplet, faMaskFace, faHillRockslide, faRightLeft, faExchangeAlt, faPaperPlane, faRoadCircleExclamation, faDungeon, faAlignRight, faMoneyBill1Wave, faMoneyBillWaveAlt, faLifeRing, faHands, faSignLanguage, faSigning, faCalendarDay, faWaterLadder, faLadderWater, faSwimmingPool, faArrowsUpDown, faArrowsV, faFaceGrimace, faGrimace, faWheelchairMove, faWheelchairAlt, faTurnDown, faLevelDownAlt, faPersonWalkingArrowRight, faSquareEnvelope, faEnvelopeSquare, faDice, faBowlingBall, faBrain, faBandage, faBandAid, faCalendarMinus, faCircleXmark, faTimesCircle, faXmarkCircle, faGifts, faHotel, faEarthAsia, faGlobeAsia, faIdCardClip, faIdCardAlt, faMagnifyingGlassPlus, faSearchPlus, faThumbsUp, faUserClock, faHandDots, faAllergies, faFileInvoice, faWindowMinimize, faMugSaucer, faCoffee, faBrush, faMask, faMagnifyingGlassMinus, faSearchMinus, faRulerVertical, faUserLarge, faUserAlt, faTrainTram, faUserNurse, faSyringe, faCloudSun, faStopwatch20, faSquareFull, faMagnet, faJar, faNoteSticky, faStickyNote, faBugSlash, faArrowUpFromWaterPump, faBone, faUserInjured, faFaceSadTear, faSadTear, faPlane, faTentArrowsDown, faExclamation, faArrowsSpin, faPrint, faTurkishLiraSign, faTry, faTurkishLira, faDollarSign, faDollar, faUsd, faX, faMagnifyingGlassDollar, faSearchDollar, faUsersGear, faUsersCog, faPersonMilitaryPointing, faBuildingColumns, faBank, faInstitution, faMuseum, faUniversity, faUmbrella, faTrowel, faD, faStapler, faMasksTheater, faTheaterMasks, faKipSign, faHandPointLeft, faHandshakeSimple, faHandshakeAlt, faJetFighter, faFighterJet, faSquareShareNodes, faShareAltSquare, faBarcode, faPlusMinus, faVideo, faVideoCamera, faGraduationCap, faMortarBoard, faHandHoldingMedical, faPersonCircleCheck, faTurnUp, faLevelUpAlt, fas } from '@fortawesome/free-solid-svg-icons';
import * as i1$1 from '@angular/router';

class ButtonComponent {
    constructor() { }
    ngOnInit() {
    }
}
ButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ButtonComponent, selector: "klib-button", ngImport: i0, template: "<p>button works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'klib-button', template: "<p>button works!</p>\n", styles: [""] }]
        }], ctorParameters: function () { return []; } });

class IconsModule {
    constructor() {
        this.fa0 = fa0;
        this.fa1 = fa1;
        this.fa2 = fa2;
        this.fa3 = fa3;
        this.fa4 = fa4;
        this.fa5 = fa5;
        this.fa6 = fa6;
        this.fa7 = fa7;
        this.fa8 = fa8;
        this.fa9 = fa9;
        this.faFillDrip = faFillDrip;
        this.faArrowsToCircle = faArrowsToCircle;
        this.faCircleChevronRight = faCircleChevronRight;
        this.faChevronCircleRight = faChevronCircleRight;
        this.faAt = faAt;
        this.faTrashCan = faTrashCan;
        this.faTrashAlt = faTrashAlt;
        this.faTextHeight = faTextHeight;
        this.faUserXmark = faUserXmark;
        this.faUserTimes = faUserTimes;
        this.faStethoscope = faStethoscope;
        this.faMessage = faMessage;
        this.faCommentAlt = faCommentAlt;
        this.faInfo = faInfo;
        this.faDownLeftAndUpRightToCenter = faDownLeftAndUpRightToCenter;
        this.faCompressAlt = faCompressAlt;
        this.faExplosion = faExplosion;
        this.faFileLines = faFileLines;
        this.faFileAlt = faFileAlt;
        this.faFileText = faFileText;
        this.faWaveSquare = faWaveSquare;
        this.faRing = faRing;
        this.faBuildingUn = faBuildingUn;
        this.faDiceThree = faDiceThree;
        this.faCalendarDays = faCalendarDays;
        this.faCalendarAlt = faCalendarAlt;
        this.faAnchorCircleCheck = faAnchorCircleCheck;
        this.faBuildingCircleArrowRight = faBuildingCircleArrowRight;
        this.faVolleyball = faVolleyball;
        this.faVolleyballBall = faVolleyballBall;
        this.faArrowsUpToLine = faArrowsUpToLine;
        this.faSortDown = faSortDown;
        this.faSortDesc = faSortDesc;
        this.faCircleMinus = faCircleMinus;
        this.faMinusCircle = faMinusCircle;
        this.faDoorOpen = faDoorOpen;
        this.faRightFromBracket = faRightFromBracket;
        this.faSignOutAlt = faSignOutAlt;
        this.faAtom = faAtom;
        this.faSoap = faSoap;
        this.faIcons = faIcons;
        this.faHeartMusicCameraBolt = faHeartMusicCameraBolt;
        this.faMicrophoneLinesSlash = faMicrophoneLinesSlash;
        this.faMicrophoneAltSlash = faMicrophoneAltSlash;
        this.faBridgeCircleCheck = faBridgeCircleCheck;
        this.faPumpMedical = faPumpMedical;
        this.faFingerprint = faFingerprint;
        this.faHandPointRight = faHandPointRight;
        this.faMagnifyingGlassLocation = faMagnifyingGlassLocation;
        this.faSearchLocation = faSearchLocation;
        this.faForwardStep = faForwardStep;
        this.faStepForward = faStepForward;
        this.faFaceSmileBeam = faFaceSmileBeam;
        this.faSmileBeam = faSmileBeam;
        this.faFlagCheckered = faFlagCheckered;
        this.faFootball = faFootball;
        this.faFootballBall = faFootballBall;
        this.faSchoolCircleExclamation = faSchoolCircleExclamation;
        this.faCrop = faCrop;
        this.faAnglesDown = faAnglesDown;
        this.faAngleDoubleDown = faAngleDoubleDown;
        this.faUsersRectangle = faUsersRectangle;
        this.faPeopleRoof = faPeopleRoof;
        this.faPeopleLine = faPeopleLine;
        this.faBeerMugEmpty = faBeerMugEmpty;
        this.faBeer = faBeer;
        this.faDiagramPredecessor = faDiagramPredecessor;
        this.faArrowUpLong = faArrowUpLong;
        this.faLongArrowUp = faLongArrowUp;
        this.faFireFlameSimple = faFireFlameSimple;
        this.faBurn = faBurn;
        this.faPerson = faPerson;
        this.faMale = faMale;
        this.faLaptop = faLaptop;
        this.faFileCsv = faFileCsv;
        this.faMenorah = faMenorah;
        this.faTruckPlane = faTruckPlane;
        this.faRecordVinyl = faRecordVinyl;
        this.faFaceGrinStars = faFaceGrinStars;
        this.faGrinStars = faGrinStars;
        this.faBong = faBong;
        this.faSpaghettiMonsterFlying = faSpaghettiMonsterFlying;
        this.faPastafarianism = faPastafarianism;
        this.faArrowDownUpAcrossLine = faArrowDownUpAcrossLine;
        this.faSpoon = faSpoon;
        this.faUtensilSpoon = faUtensilSpoon;
        this.faJarWheat = faJarWheat;
        this.faEnvelopesBulk = faEnvelopesBulk;
        this.faMailBulk = faMailBulk;
        this.faFileCircleExclamation = faFileCircleExclamation;
        this.faCircleH = faCircleH;
        this.faHospitalSymbol = faHospitalSymbol;
        this.faPager = faPager;
        this.faAddressBook = faAddressBook;
        this.faContactBook = faContactBook;
        this.faStrikethrough = faStrikethrough;
        this.faK = faK;
        this.faLandmarkFlag = faLandmarkFlag;
        this.faPencil = faPencil;
        this.faPencilAlt = faPencilAlt;
        this.faBackward = faBackward;
        this.faCaretRight = faCaretRight;
        this.faComments = faComments;
        this.faPaste = faPaste;
        this.faFileClipboard = faFileClipboard;
        this.faCodePullRequest = faCodePullRequest;
        this.faClipboardList = faClipboardList;
        this.faTruckRampBox = faTruckRampBox;
        this.faTruckLoading = faTruckLoading;
        this.faUserCheck = faUserCheck;
        this.faVialVirus = faVialVirus;
        this.faSheetPlastic = faSheetPlastic;
        this.faBlog = faBlog;
        this.faUserNinja = faUserNinja;
        this.faPersonArrowUpFromLine = faPersonArrowUpFromLine;
        this.faScrollTorah = faScrollTorah;
        this.faTorah = faTorah;
        this.faBroomBall = faBroomBall;
        this.faQuidditch = faQuidditch;
        this.faQuidditchBroomBall = faQuidditchBroomBall;
        this.faToggleOff = faToggleOff;
        this.faBoxArchive = faBoxArchive;
        this.faArchive = faArchive;
        this.faPersonDrowning = faPersonDrowning;
        this.faArrowDown91 = faArrowDown91;
        this.faSortNumericDesc = faSortNumericDesc;
        this.faSortNumericDownAlt = faSortNumericDownAlt;
        this.faFaceGrinTongueSquint = faFaceGrinTongueSquint;
        this.faGrinTongueSquint = faGrinTongueSquint;
        this.faSprayCan = faSprayCan;
        this.faTruckMonster = faTruckMonster;
        this.faW = faW;
        this.faEarthAfrica = faEarthAfrica;
        this.faGlobeAfrica = faGlobeAfrica;
        this.faRainbow = faRainbow;
        this.faCircleNotch = faCircleNotch;
        this.faTabletScreenButton = faTabletScreenButton;
        this.faTabletAlt = faTabletAlt;
        this.faPaw = faPaw;
        this.faCloud = faCloud;
        this.faTrowelBricks = faTrowelBricks;
        this.faFaceFlushed = faFaceFlushed;
        this.faFlushed = faFlushed;
        this.faHospitalUser = faHospitalUser;
        this.faTentArrowLeftRight = faTentArrowLeftRight;
        this.faGavel = faGavel;
        this.faLegal = faLegal;
        this.faBinoculars = faBinoculars;
        this.faMicrophoneSlash = faMicrophoneSlash;
        this.faBoxTissue = faBoxTissue;
        this.faMotorcycle = faMotorcycle;
        this.faBellConcierge = faBellConcierge;
        this.faConciergeBell = faConciergeBell;
        this.faPenRuler = faPenRuler;
        this.faPencilRuler = faPencilRuler;
        this.faPeopleArrows = faPeopleArrows;
        this.faPeopleArrowsLeftRight = faPeopleArrowsLeftRight;
        this.faMarsAndVenusBurst = faMarsAndVenusBurst;
        this.faSquareCaretRight = faSquareCaretRight;
        this.faCaretSquareRight = faCaretSquareRight;
        this.faScissors = faScissors;
        this.faCut = faCut;
        this.faSunPlantWilt = faSunPlantWilt;
        this.faToiletsPortable = faToiletsPortable;
        this.faHockeyPuck = faHockeyPuck;
        this.faTable = faTable;
        this.faMagnifyingGlassArrowRight = faMagnifyingGlassArrowRight;
        this.faTachographDigital = faTachographDigital;
        this.faDigitalTachograph = faDigitalTachograph;
        this.faUsersSlash = faUsersSlash;
        this.faClover = faClover;
        this.faReply = faReply;
        this.faMailReply = faMailReply;
        this.faStarAndCrescent = faStarAndCrescent;
        this.faHouseFire = faHouseFire;
        this.faSquareMinus = faSquareMinus;
        this.faMinusSquare = faMinusSquare;
        this.faHelicopter = faHelicopter;
        this.faCompass = faCompass;
        this.faSquareCaretDown = faSquareCaretDown;
        this.faCaretSquareDown = faCaretSquareDown;
        this.faFileCircleQuestion = faFileCircleQuestion;
        this.faLaptopCode = faLaptopCode;
        this.faSwatchbook = faSwatchbook;
        this.faPrescriptionBottle = faPrescriptionBottle;
        this.faBars = faBars;
        this.faNavicon = faNavicon;
        this.faPeopleGroup = faPeopleGroup;
        this.faHourglassEnd = faHourglassEnd;
        this.faHourglass3 = faHourglass3;
        this.faHeartCrack = faHeartCrack;
        this.faHeartBroken = faHeartBroken;
        this.faSquareUpRight = faSquareUpRight;
        this.faExternalLinkSquareAlt = faExternalLinkSquareAlt;
        this.faFaceKissBeam = faFaceKissBeam;
        this.faKissBeam = faKissBeam;
        this.faFilm = faFilm;
        this.faRulerHorizontal = faRulerHorizontal;
        this.faPeopleRobbery = faPeopleRobbery;
        this.faLightbulb = faLightbulb;
        this.faCaretLeft = faCaretLeft;
        this.faCircleExclamation = faCircleExclamation;
        this.faExclamationCircle = faExclamationCircle;
        this.faSchoolCircleXmark = faSchoolCircleXmark;
        this.faArrowRightFromBracket = faArrowRightFromBracket;
        this.faSignOut = faSignOut;
        this.faCircleChevronDown = faCircleChevronDown;
        this.faChevronCircleDown = faChevronCircleDown;
        this.faUnlockKeyhole = faUnlockKeyhole;
        this.faUnlockAlt = faUnlockAlt;
        this.faCloudShowersHeavy = faCloudShowersHeavy;
        this.faHeadphonesSimple = faHeadphonesSimple;
        this.faHeadphonesAlt = faHeadphonesAlt;
        this.faSitemap = faSitemap;
        this.faCircleDollarToSlot = faCircleDollarToSlot;
        this.faDonate = faDonate;
        this.faMemory = faMemory;
        this.faRoadSpikes = faRoadSpikes;
        this.faFireBurner = faFireBurner;
        this.faFlag = faFlag;
        this.faHanukiah = faHanukiah;
        this.faFeather = faFeather;
        this.faVolumeLow = faVolumeLow;
        this.faVolumeDown = faVolumeDown;
        this.faCommentSlash = faCommentSlash;
        this.faCloudSunRain = faCloudSunRain;
        this.faCompress = faCompress;
        this.faWheatAwn = faWheatAwn;
        this.faWheatAlt = faWheatAlt;
        this.faAnkh = faAnkh;
        this.faHandsHoldingChild = faHandsHoldingChild;
        this.faAsterisk = faAsterisk;
        this.faSquareCheck = faSquareCheck;
        this.faCheckSquare = faCheckSquare;
        this.faPesetaSign = faPesetaSign;
        this.faHeading = faHeading;
        this.faHeader = faHeader;
        this.faGhost = faGhost;
        this.faList = faList;
        this.faListSquares = faListSquares;
        this.faSquarePhoneFlip = faSquarePhoneFlip;
        this.faPhoneSquareAlt = faPhoneSquareAlt;
        this.faCartPlus = faCartPlus;
        this.faGamepad = faGamepad;
        this.faCircleDot = faCircleDot;
        this.faDotCircle = faDotCircle;
        this.faFaceDizzy = faFaceDizzy;
        this.faDizzy = faDizzy;
        this.faEgg = faEgg;
        this.faHouseMedicalCircleXmark = faHouseMedicalCircleXmark;
        this.faCampground = faCampground;
        this.faFolderPlus = faFolderPlus;
        this.faFutbol = faFutbol;
        this.faFutbolBall = faFutbolBall;
        this.faSoccerBall = faSoccerBall;
        this.faPaintbrush = faPaintbrush;
        this.faPaintBrush = faPaintBrush;
        this.faLock = faLock;
        this.faGasPump = faGasPump;
        this.faHotTubPerson = faHotTubPerson;
        this.faHotTub = faHotTub;
        this.faMapLocation = faMapLocation;
        this.faMapMarked = faMapMarked;
        this.faHouseFloodWater = faHouseFloodWater;
        this.faTree = faTree;
        this.faBridgeLock = faBridgeLock;
        this.faSackDollar = faSackDollar;
        this.faPenToSquare = faPenToSquare;
        this.faEdit = faEdit;
        this.faCarSide = faCarSide;
        this.faShareNodes = faShareNodes;
        this.faShareAlt = faShareAlt;
        this.faHeartCircleMinus = faHeartCircleMinus;
        this.faHourglassHalf = faHourglassHalf;
        this.faHourglass2 = faHourglass2;
        this.faMicroscope = faMicroscope;
        this.faSink = faSink;
        this.faBagShopping = faBagShopping;
        this.faShoppingBag = faShoppingBag;
        this.faArrowDownZA = faArrowDownZA;
        this.faSortAlphaDesc = faSortAlphaDesc;
        this.faSortAlphaDownAlt = faSortAlphaDownAlt;
        this.faMitten = faMitten;
        this.faPersonRays = faPersonRays;
        this.faUsers = faUsers;
        this.faEyeSlash = faEyeSlash;
        this.faFlaskVial = faFlaskVial;
        this.faHand = faHand;
        this.faHandPaper = faHandPaper;
        this.faOm = faOm;
        this.faWorm = faWorm;
        this.faHouseCircleXmark = faHouseCircleXmark;
        this.faPlug = faPlug;
        this.faChevronUp = faChevronUp;
        this.faHandSpock = faHandSpock;
        this.faStopwatch = faStopwatch;
        this.faFaceKiss = faFaceKiss;
        this.faKiss = faKiss;
        this.faBridgeCircleXmark = faBridgeCircleXmark;
        this.faFaceGrinTongue = faFaceGrinTongue;
        this.faGrinTongue = faGrinTongue;
        this.faChessBishop = faChessBishop;
        this.faFaceGrinWink = faFaceGrinWink;
        this.faGrinWink = faGrinWink;
        this.faEarDeaf = faEarDeaf;
        this.faDeaf = faDeaf;
        this.faDeafness = faDeafness;
        this.faHardOfHearing = faHardOfHearing;
        this.faRoadCircleCheck = faRoadCircleCheck;
        this.faDiceFive = faDiceFive;
        this.faSquareRss = faSquareRss;
        this.faRssSquare = faRssSquare;
        this.faLandMineOn = faLandMineOn;
        this.faICursor = faICursor;
        this.faStamp = faStamp;
        this.faStairs = faStairs;
        this.faI = faI;
        this.faHryvniaSign = faHryvniaSign;
        this.faHryvnia = faHryvnia;
        this.faPills = faPills;
        this.faFaceGrinWide = faFaceGrinWide;
        this.faGrinAlt = faGrinAlt;
        this.faTooth = faTooth;
        this.faV = faV;
        this.faBicycle = faBicycle;
        this.faStaffSnake = faStaffSnake;
        this.faRodAsclepius = faRodAsclepius;
        this.faRodSnake = faRodSnake;
        this.faStaffAesculapius = faStaffAesculapius;
        this.faHeadSideCoughSlash = faHeadSideCoughSlash;
        this.faTruckMedical = faTruckMedical;
        this.faAmbulance = faAmbulance;
        this.faWheatAwnCircleExclamation = faWheatAwnCircleExclamation;
        this.faSnowman = faSnowman;
        this.faMortarPestle = faMortarPestle;
        this.faRoadBarrier = faRoadBarrier;
        this.faSchool = faSchool;
        this.faIgloo = faIgloo;
        this.faJoint = faJoint;
        this.faAngleRight = faAngleRight;
        this.faHorse = faHorse;
        this.faQ = faQ;
        this.faG = faG;
        this.faNotesMedical = faNotesMedical;
        this.faTemperatureHalf = faTemperatureHalf;
        this.faTemperature2 = faTemperature2;
        this.faThermometer2 = faThermometer2;
        this.faThermometerHalf = faThermometerHalf;
        this.faDongSign = faDongSign;
        this.faCapsules = faCapsules;
        this.faPooStorm = faPooStorm;
        this.faPooBolt = faPooBolt;
        this.faFaceFrownOpen = faFaceFrownOpen;
        this.faFrownOpen = faFrownOpen;
        this.faHandPointUp = faHandPointUp;
        this.faMoneyBill = faMoneyBill;
        this.faBookmark = faBookmark;
        this.faAlignJustify = faAlignJustify;
        this.faUmbrellaBeach = faUmbrellaBeach;
        this.faHelmetUn = faHelmetUn;
        this.faBullseye = faBullseye;
        this.faBacon = faBacon;
        this.faHandPointDown = faHandPointDown;
        this.faArrowUpFromBracket = faArrowUpFromBracket;
        this.faFolder = faFolder;
        this.faFolderBlank = faFolderBlank;
        this.faFileWaveform = faFileWaveform;
        this.faFileMedicalAlt = faFileMedicalAlt;
        this.faRadiation = faRadiation;
        this.faChartSimple = faChartSimple;
        this.faMarsStroke = faMarsStroke;
        this.faVial = faVial;
        this.faGauge = faGauge;
        this.faDashboard = faDashboard;
        this.faGaugeMed = faGaugeMed;
        this.faTachometerAltAverage = faTachometerAltAverage;
        this.faWandMagicSparkles = faWandMagicSparkles;
        this.faMagicWandSparkles = faMagicWandSparkles;
        this.faE = faE;
        this.faPenClip = faPenClip;
        this.faPenAlt = faPenAlt;
        this.faBridgeCircleExclamation = faBridgeCircleExclamation;
        this.faUser = faUser;
        this.faSchoolCircleCheck = faSchoolCircleCheck;
        this.faDumpster = faDumpster;
        this.faVanShuttle = faVanShuttle;
        this.faShuttleVan = faShuttleVan;
        this.faBuildingUser = faBuildingUser;
        this.faSquareCaretLeft = faSquareCaretLeft;
        this.faCaretSquareLeft = faCaretSquareLeft;
        this.faHighlighter = faHighlighter;
        this.faKey = faKey;
        this.faBullhorn = faBullhorn;
        this.faGlobe = faGlobe;
        this.faSynagogue = faSynagogue;
        this.faPersonHalfDress = faPersonHalfDress;
        this.faRoadBridge = faRoadBridge;
        this.faLocationArrow = faLocationArrow;
        this.faC = faC;
        this.faTabletButton = faTabletButton;
        this.faBuildingLock = faBuildingLock;
        this.faPizzaSlice = faPizzaSlice;
        this.faMoneyBillWave = faMoneyBillWave;
        this.faChartArea = faChartArea;
        this.faAreaChart = faAreaChart;
        this.faHouseFlag = faHouseFlag;
        this.faPersonCircleMinus = faPersonCircleMinus;
        this.faBan = faBan;
        this.faCancel = faCancel;
        this.faCameraRotate = faCameraRotate;
        this.faSprayCanSparkles = faSprayCanSparkles;
        this.faAirFreshener = faAirFreshener;
        this.faStar = faStar;
        this.faRepeat = faRepeat;
        this.faCross = faCross;
        this.faBox = faBox;
        this.faVenusMars = faVenusMars;
        this.faArrowPointer = faArrowPointer;
        this.faMousePointer = faMousePointer;
        this.faMaximize = faMaximize;
        this.faExpandArrowsAlt = faExpandArrowsAlt;
        this.faChargingStation = faChargingStation;
        this.faShapes = faShapes;
        this.faTriangleCircleSquare = faTriangleCircleSquare;
        this.faShuffle = faShuffle;
        this.faRandom = faRandom;
        this.faPersonRunning = faPersonRunning;
        this.faRunning = faRunning;
        this.faMobileRetro = faMobileRetro;
        this.faGripLinesVertical = faGripLinesVertical;
        this.faSpider = faSpider;
        this.faHandsBound = faHandsBound;
        this.faFileInvoiceDollar = faFileInvoiceDollar;
        this.faPlaneCircleExclamation = faPlaneCircleExclamation;
        this.faXRay = faXRay;
        this.faSpellCheck = faSpellCheck;
        this.faSlash = faSlash;
        this.faComputerMouse = faComputerMouse;
        this.faMouse = faMouse;
        this.faArrowRightToBracket = faArrowRightToBracket;
        this.faSignIn = faSignIn;
        this.faShopSlash = faShopSlash;
        this.faStoreAltSlash = faStoreAltSlash;
        this.faServer = faServer;
        this.faVirusCovidSlash = faVirusCovidSlash;
        this.faShopLock = faShopLock;
        this.faHourglassStart = faHourglassStart;
        this.faHourglass1 = faHourglass1;
        this.faBlenderPhone = faBlenderPhone;
        this.faBuildingWheat = faBuildingWheat;
        this.faPersonBreastfeeding = faPersonBreastfeeding;
        this.faRightToBracket = faRightToBracket;
        this.faSignInAlt = faSignInAlt;
        this.faVenus = faVenus;
        this.faPassport = faPassport;
        this.faHeartPulse = faHeartPulse;
        this.faHeartbeat = faHeartbeat;
        this.faPeopleCarryBox = faPeopleCarryBox;
        this.faPeopleCarry = faPeopleCarry;
        this.faTemperatureHigh = faTemperatureHigh;
        this.faMicrochip = faMicrochip;
        this.faCrown = faCrown;
        this.faWeightHanging = faWeightHanging;
        this.faXmarksLines = faXmarksLines;
        this.faFilePrescription = faFilePrescription;
        this.faWeightScale = faWeightScale;
        this.faWeight = faWeight;
        this.faUserGroup = faUserGroup;
        this.faUserFriends = faUserFriends;
        this.faArrowUpAZ = faArrowUpAZ;
        this.faSortAlphaUp = faSortAlphaUp;
        this.faChessKnight = faChessKnight;
        this.faFaceLaughSquint = faFaceLaughSquint;
        this.faLaughSquint = faLaughSquint;
        this.faWheelchair = faWheelchair;
        this.faCircleArrowUp = faCircleArrowUp;
        this.faArrowCircleUp = faArrowCircleUp;
        this.faToggleOn = faToggleOn;
        this.faPersonWalking = faPersonWalking;
        this.faWalking = faWalking;
        this.faL = faL;
        this.faFire = faFire;
        this.faBedPulse = faBedPulse;
        this.faProcedures = faProcedures;
        this.faShuttleSpace = faShuttleSpace;
        this.faSpaceShuttle = faSpaceShuttle;
        this.faFaceLaugh = faFaceLaugh;
        this.faLaugh = faLaugh;
        this.faFolderOpen = faFolderOpen;
        this.faHeartCirclePlus = faHeartCirclePlus;
        this.faCodeFork = faCodeFork;
        this.faCity = faCity;
        this.faMicrophoneLines = faMicrophoneLines;
        this.faMicrophoneAlt = faMicrophoneAlt;
        this.faPepperHot = faPepperHot;
        this.faUnlock = faUnlock;
        this.faColonSign = faColonSign;
        this.faHeadset = faHeadset;
        this.faStoreSlash = faStoreSlash;
        this.faRoadCircleXmark = faRoadCircleXmark;
        this.faUserMinus = faUserMinus;
        this.faMarsStrokeUp = faMarsStrokeUp;
        this.faMarsStrokeV = faMarsStrokeV;
        this.faChampagneGlasses = faChampagneGlasses;
        this.faGlassCheers = faGlassCheers;
        this.faClipboard = faClipboard;
        this.faHouseCircleExclamation = faHouseCircleExclamation;
        this.faFileArrowUp = faFileArrowUp;
        this.faFileUpload = faFileUpload;
        this.faWifi = faWifi;
        this.faWifi3 = faWifi3;
        this.faWifiStrong = faWifiStrong;
        this.faBath = faBath;
        this.faBathtub = faBathtub;
        this.faUnderline = faUnderline;
        this.faUserPen = faUserPen;
        this.faUserEdit = faUserEdit;
        this.faSignature = faSignature;
        this.faStroopwafel = faStroopwafel;
        this.faBold = faBold;
        this.faAnchorLock = faAnchorLock;
        this.faBuildingNgo = faBuildingNgo;
        this.faManatSign = faManatSign;
        this.faNotEqual = faNotEqual;
        this.faBorderTopLeft = faBorderTopLeft;
        this.faBorderStyle = faBorderStyle;
        this.faMapLocationDot = faMapLocationDot;
        this.faMapMarkedAlt = faMapMarkedAlt;
        this.faJedi = faJedi;
        this.faSquarePollVertical = faSquarePollVertical;
        this.faPoll = faPoll;
        this.faMugHot = faMugHot;
        this.faCarBattery = faCarBattery;
        this.faBatteryCar = faBatteryCar;
        this.faGift = faGift;
        this.faDiceTwo = faDiceTwo;
        this.faChessQueen = faChessQueen;
        this.faGlasses = faGlasses;
        this.faChessBoard = faChessBoard;
        this.faBuildingCircleCheck = faBuildingCircleCheck;
        this.faPersonChalkboard = faPersonChalkboard;
        this.faMarsStrokeRight = faMarsStrokeRight;
        this.faMarsStrokeH = faMarsStrokeH;
        this.faHandBackFist = faHandBackFist;
        this.faHandRock = faHandRock;
        this.faSquareCaretUp = faSquareCaretUp;
        this.faCaretSquareUp = faCaretSquareUp;
        this.faCloudShowersWater = faCloudShowersWater;
        this.faChartBar = faChartBar;
        this.faBarChart = faBarChart;
        this.faHandsBubbles = faHandsBubbles;
        this.faHandsWash = faHandsWash;
        this.faLessThanEqual = faLessThanEqual;
        this.faTrain = faTrain;
        this.faEyeLowVision = faEyeLowVision;
        this.faLowVision = faLowVision;
        this.faCrow = faCrow;
        this.faSailboat = faSailboat;
        this.faWindowRestore = faWindowRestore;
        this.faSquarePlus = faSquarePlus;
        this.faPlusSquare = faPlusSquare;
        this.faToriiGate = faToriiGate;
        this.faFrog = faFrog;
        this.faBucket = faBucket;
        this.faImage = faImage;
        this.faMicrophone = faMicrophone;
        this.faCow = faCow;
        this.faCaretUp = faCaretUp;
        this.faScrewdriver = faScrewdriver;
        this.faFolderClosed = faFolderClosed;
        this.faHouseTsunami = faHouseTsunami;
        this.faSquareNfi = faSquareNfi;
        this.faArrowUpFromGroundWater = faArrowUpFromGroundWater;
        this.faMartiniGlass = faMartiniGlass;
        this.faGlassMartiniAlt = faGlassMartiniAlt;
        this.faRotateLeft = faRotateLeft;
        this.faRotateBack = faRotateBack;
        this.faRotateBackward = faRotateBackward;
        this.faUndoAlt = faUndoAlt;
        this.faTableColumns = faTableColumns;
        this.faColumns = faColumns;
        this.faLemon = faLemon;
        this.faHeadSideMask = faHeadSideMask;
        this.faHandshake = faHandshake;
        this.faGem = faGem;
        this.faDolly = faDolly;
        this.faDollyBox = faDollyBox;
        this.faSmoking = faSmoking;
        this.faMinimize = faMinimize;
        this.faCompressArrowsAlt = faCompressArrowsAlt;
        this.faMonument = faMonument;
        this.faSnowplow = faSnowplow;
        this.faAnglesRight = faAnglesRight;
        this.faAngleDoubleRight = faAngleDoubleRight;
        this.faCannabis = faCannabis;
        this.faCirclePlay = faCirclePlay;
        this.faPlayCircle = faPlayCircle;
        this.faTablets = faTablets;
        this.faEthernet = faEthernet;
        this.faEuroSign = faEuroSign;
        this.faEur = faEur;
        this.faEuro = faEuro;
        this.faChair = faChair;
        this.faCircleCheck = faCircleCheck;
        this.faCheckCircle = faCheckCircle;
        this.faCircleStop = faCircleStop;
        this.faStopCircle = faStopCircle;
        this.faCompassDrafting = faCompassDrafting;
        this.faDraftingCompass = faDraftingCompass;
        this.faPlateWheat = faPlateWheat;
        this.faIcicles = faIcicles;
        this.faPersonShelter = faPersonShelter;
        this.faNeuter = faNeuter;
        this.faIdBadge = faIdBadge;
        this.faMarker = faMarker;
        this.faFaceLaughBeam = faFaceLaughBeam;
        this.faLaughBeam = faLaughBeam;
        this.faHelicopterSymbol = faHelicopterSymbol;
        this.faUniversalAccess = faUniversalAccess;
        this.faCircleChevronUp = faCircleChevronUp;
        this.faChevronCircleUp = faChevronCircleUp;
        this.faLariSign = faLariSign;
        this.faVolcano = faVolcano;
        this.faPersonWalkingDashedLineArrowRight = faPersonWalkingDashedLineArrowRight;
        this.faSterlingSign = faSterlingSign;
        this.faGbp = faGbp;
        this.faPoundSign = faPoundSign;
        this.faViruses = faViruses;
        this.faSquarePersonConfined = faSquarePersonConfined;
        this.faUserTie = faUserTie;
        this.faArrowDownLong = faArrowDownLong;
        this.faLongArrowDown = faLongArrowDown;
        this.faTentArrowDownToLine = faTentArrowDownToLine;
        this.faCertificate = faCertificate;
        this.faReplyAll = faReplyAll;
        this.faMailReplyAll = faMailReplyAll;
        this.faSuitcase = faSuitcase;
        this.faPersonSkating = faPersonSkating;
        this.faSkating = faSkating;
        this.faFilterCircleDollar = faFilterCircleDollar;
        this.faFunnelDollar = faFunnelDollar;
        this.faCameraRetro = faCameraRetro;
        this.faCircleArrowDown = faCircleArrowDown;
        this.faArrowCircleDown = faArrowCircleDown;
        this.faFileImport = faFileImport;
        this.faArrowRightToFile = faArrowRightToFile;
        this.faSquareArrowUpRight = faSquareArrowUpRight;
        this.faExternalLinkSquare = faExternalLinkSquare;
        this.faBoxOpen = faBoxOpen;
        this.faScroll = faScroll;
        this.faSpa = faSpa;
        this.faLocationPinLock = faLocationPinLock;
        this.faPause = faPause;
        this.faHillAvalanche = faHillAvalanche;
        this.faTemperatureEmpty = faTemperatureEmpty;
        this.faTemperature0 = faTemperature0;
        this.faThermometer0 = faThermometer0;
        this.faThermometerEmpty = faThermometerEmpty;
        this.faBomb = faBomb;
        this.faRegistered = faRegistered;
        this.faAddressCard = faAddressCard;
        this.faContactCard = faContactCard;
        this.faVcard = faVcard;
        this.faScaleUnbalancedFlip = faScaleUnbalancedFlip;
        this.faBalanceScaleRight = faBalanceScaleRight;
        this.faSubscript = faSubscript;
        this.faDiamondTurnRight = faDiamondTurnRight;
        this.faDirections = faDirections;
        this.faBurst = faBurst;
        this.faHouseLaptop = faHouseLaptop;
        this.faLaptopHouse = faLaptopHouse;
        this.faFaceTired = faFaceTired;
        this.faTired = faTired;
        this.faMoneyBills = faMoneyBills;
        this.faSmog = faSmog;
        this.faCrutch = faCrutch;
        this.faFontAwesome = faFontAwesome;
        this.faFontAwesomeFlag = faFontAwesomeFlag;
        this.faFontAwesomeLogoFull = faFontAwesomeLogoFull;
        this.faCloudArrowUp = faCloudArrowUp;
        this.faCloudUpload = faCloudUpload;
        this.faCloudUploadAlt = faCloudUploadAlt;
        this.faPalette = faPalette;
        this.faArrowsTurnRight = faArrowsTurnRight;
        this.faVest = faVest;
        this.faFerry = faFerry;
        this.faArrowsDownToPeople = faArrowsDownToPeople;
        this.faSeedling = faSeedling;
        this.faSprout = faSprout;
        this.faLeftRight = faLeftRight;
        this.faArrowsAltH = faArrowsAltH;
        this.faBoxesPacking = faBoxesPacking;
        this.faCircleArrowLeft = faCircleArrowLeft;
        this.faArrowCircleLeft = faArrowCircleLeft;
        this.faGroupArrowsRotate = faGroupArrowsRotate;
        this.faBowlFood = faBowlFood;
        this.faCandyCane = faCandyCane;
        this.faArrowDownWideShort = faArrowDownWideShort;
        this.faSortAmountAsc = faSortAmountAsc;
        this.faSortAmountDown = faSortAmountDown;
        this.faCloudBolt = faCloudBolt;
        this.faThunderstorm = faThunderstorm;
        this.faTextSlash = faTextSlash;
        this.faRemoveFormat = faRemoveFormat;
        this.faFaceSmileWink = faFaceSmileWink;
        this.faSmileWink = faSmileWink;
        this.faFileWord = faFileWord;
        this.faFilePowerpoint = faFilePowerpoint;
        this.faArrowsLeftRight = faArrowsLeftRight;
        this.faArrowsH = faArrowsH;
        this.faHouseLock = faHouseLock;
        this.faCloudArrowDown = faCloudArrowDown;
        this.faCloudDownload = faCloudDownload;
        this.faCloudDownloadAlt = faCloudDownloadAlt;
        this.faChildren = faChildren;
        this.faChalkboard = faChalkboard;
        this.faBlackboard = faBlackboard;
        this.faUserLargeSlash = faUserLargeSlash;
        this.faUserAltSlash = faUserAltSlash;
        this.faEnvelopeOpen = faEnvelopeOpen;
        this.faHandshakeSimpleSlash = faHandshakeSimpleSlash;
        this.faHandshakeAltSlash = faHandshakeAltSlash;
        this.faMattressPillow = faMattressPillow;
        this.faGuaraniSign = faGuaraniSign;
        this.faArrowsRotate = faArrowsRotate;
        this.faRefresh = faRefresh;
        this.faSync = faSync;
        this.faFireExtinguisher = faFireExtinguisher;
        this.faCruzeiroSign = faCruzeiroSign;
        this.faGreaterThanEqual = faGreaterThanEqual;
        this.faShieldHalved = faShieldHalved;
        this.faShieldAlt = faShieldAlt;
        this.faBookAtlas = faBookAtlas;
        this.faAtlas = faAtlas;
        this.faVirus = faVirus;
        this.faEnvelopeCircleCheck = faEnvelopeCircleCheck;
        this.faLayerGroup = faLayerGroup;
        this.faArrowsToDot = faArrowsToDot;
        this.faArchway = faArchway;
        this.faHeartCircleCheck = faHeartCircleCheck;
        this.faHouseChimneyCrack = faHouseChimneyCrack;
        this.faHouseDamage = faHouseDamage;
        this.faFileZipper = faFileZipper;
        this.faFileArchive = faFileArchive;
        this.faSquare = faSquare;
        this.faMartiniGlassEmpty = faMartiniGlassEmpty;
        this.faGlassMartini = faGlassMartini;
        this.faCouch = faCouch;
        this.faCediSign = faCediSign;
        this.faItalic = faItalic;
        this.faChurch = faChurch;
        this.faCommentsDollar = faCommentsDollar;
        this.faDemocrat = faDemocrat;
        this.faZ = faZ;
        this.faPersonSkiing = faPersonSkiing;
        this.faSkiing = faSkiing;
        this.faRoadLock = faRoadLock;
        this.faA = faA;
        this.faTemperatureArrowDown = faTemperatureArrowDown;
        this.faTemperatureDown = faTemperatureDown;
        this.faFeatherPointed = faFeatherPointed;
        this.faFeatherAlt = faFeatherAlt;
        this.faP = faP;
        this.faSnowflake = faSnowflake;
        this.faNewspaper = faNewspaper;
        this.faRectangleAd = faRectangleAd;
        this.faAd = faAd;
        this.faCircleArrowRight = faCircleArrowRight;
        this.faArrowCircleRight = faArrowCircleRight;
        this.faFilterCircleXmark = faFilterCircleXmark;
        this.faLocust = faLocust;
        this.faSort = faSort;
        this.faUnsorted = faUnsorted;
        this.faListOl = faListOl;
        this.faList12 = faList12;
        this.faListNumeric = faListNumeric;
        this.faPersonDressBurst = faPersonDressBurst;
        this.faMoneyCheckDollar = faMoneyCheckDollar;
        this.faMoneyCheckAlt = faMoneyCheckAlt;
        this.faVectorSquare = faVectorSquare;
        this.faBreadSlice = faBreadSlice;
        this.faLanguage = faLanguage;
        this.faFaceKissWinkHeart = faFaceKissWinkHeart;
        this.faKissWinkHeart = faKissWinkHeart;
        this.faFilter = faFilter;
        this.faQuestion = faQuestion;
        this.faFileSignature = faFileSignature;
        this.faUpDownLeftRight = faUpDownLeftRight;
        this.faArrowsAlt = faArrowsAlt;
        this.faHouseChimneyUser = faHouseChimneyUser;
        this.faHandHoldingHeart = faHandHoldingHeart;
        this.faPuzzlePiece = faPuzzlePiece;
        this.faMoneyCheck = faMoneyCheck;
        this.faStarHalfStroke = faStarHalfStroke;
        this.faStarHalfAlt = faStarHalfAlt;
        this.faCode = faCode;
        this.faWhiskeyGlass = faWhiskeyGlass;
        this.faGlassWhiskey = faGlassWhiskey;
        this.faBuildingCircleExclamation = faBuildingCircleExclamation;
        this.faMagnifyingGlassChart = faMagnifyingGlassChart;
        this.faArrowUpRightFromSquare = faArrowUpRightFromSquare;
        this.faExternalLink = faExternalLink;
        this.faCubesStacked = faCubesStacked;
        this.faWonSign = faWonSign;
        this.faKrw = faKrw;
        this.faWon = faWon;
        this.faVirusCovid = faVirusCovid;
        this.faAustralSign = faAustralSign;
        this.faF = faF;
        this.faLeaf = faLeaf;
        this.faRoad = faRoad;
        this.faTaxi = faTaxi;
        this.faCab = faCab;
        this.faPersonCirclePlus = faPersonCirclePlus;
        this.faChartPie = faChartPie;
        this.faPieChart = faPieChart;
        this.faBoltLightning = faBoltLightning;
        this.faSackXmark = faSackXmark;
        this.faFileExcel = faFileExcel;
        this.faFileContract = faFileContract;
        this.faFishFins = faFishFins;
        this.faBuildingFlag = faBuildingFlag;
        this.faFaceGrinBeam = faFaceGrinBeam;
        this.faGrinBeam = faGrinBeam;
        this.faObjectUngroup = faObjectUngroup;
        this.faPoop = faPoop;
        this.faLocationPin = faLocationPin;
        this.faMapMarker = faMapMarker;
        this.faKaaba = faKaaba;
        this.faToiletPaper = faToiletPaper;
        this.faHelmetSafety = faHelmetSafety;
        this.faHardHat = faHardHat;
        this.faHatHard = faHatHard;
        this.faEject = faEject;
        this.faCircleRight = faCircleRight;
        this.faArrowAltCircleRight = faArrowAltCircleRight;
        this.faPlaneCircleCheck = faPlaneCircleCheck;
        this.faFaceRollingEyes = faFaceRollingEyes;
        this.faMehRollingEyes = faMehRollingEyes;
        this.faObjectGroup = faObjectGroup;
        this.faChartLine = faChartLine;
        this.faLineChart = faLineChart;
        this.faMaskVentilator = faMaskVentilator;
        this.faArrowRight = faArrowRight;
        this.faSignsPost = faSignsPost;
        this.faMapSigns = faMapSigns;
        this.faCashRegister = faCashRegister;
        this.faPersonCircleQuestion = faPersonCircleQuestion;
        this.faH = faH;
        this.faTarp = faTarp;
        this.faScrewdriverWrench = faScrewdriverWrench;
        this.faTools = faTools;
        this.faArrowsToEye = faArrowsToEye;
        this.faPlugCircleBolt = faPlugCircleBolt;
        this.faHeart = faHeart;
        this.faMarsAndVenus = faMarsAndVenus;
        this.faHouseUser = faHouseUser;
        this.faHomeUser = faHomeUser;
        this.faDumpsterFire = faDumpsterFire;
        this.faHouseCrack = faHouseCrack;
        this.faMartiniGlassCitrus = faMartiniGlassCitrus;
        this.faCocktail = faCocktail;
        this.faFaceSurprise = faFaceSurprise;
        this.faSurprise = faSurprise;
        this.faBottleWater = faBottleWater;
        this.faCirclePause = faCirclePause;
        this.faPauseCircle = faPauseCircle;
        this.faToiletPaperSlash = faToiletPaperSlash;
        this.faAppleWhole = faAppleWhole;
        this.faAppleAlt = faAppleAlt;
        this.faKitchenSet = faKitchenSet;
        this.faR = faR;
        this.faTemperatureQuarter = faTemperatureQuarter;
        this.faTemperature1 = faTemperature1;
        this.faThermometer1 = faThermometer1;
        this.faThermometerQuarter = faThermometerQuarter;
        this.faCube = faCube;
        this.faBitcoinSign = faBitcoinSign;
        this.faShieldDog = faShieldDog;
        this.faSolarPanel = faSolarPanel;
        this.faLockOpen = faLockOpen;
        this.faElevator = faElevator;
        this.faMoneyBillTransfer = faMoneyBillTransfer;
        this.faMoneyBillTrendUp = faMoneyBillTrendUp;
        this.faHouseFloodWaterCircleArrowRight = faHouseFloodWaterCircleArrowRight;
        this.faSquarePollHorizontal = faSquarePollHorizontal;
        this.faPollH = faPollH;
        this.faCircle = faCircle;
        this.faBackwardFast = faBackwardFast;
        this.faFastBackward = faFastBackward;
        this.faRecycle = faRecycle;
        this.faUserAstronaut = faUserAstronaut;
        this.faPlaneSlash = faPlaneSlash;
        this.faTrademark = faTrademark;
        this.faBasketball = faBasketball;
        this.faBasketballBall = faBasketballBall;
        this.faSatelliteDish = faSatelliteDish;
        this.faCircleUp = faCircleUp;
        this.faArrowAltCircleUp = faArrowAltCircleUp;
        this.faMobileScreenButton = faMobileScreenButton;
        this.faMobileAlt = faMobileAlt;
        this.faVolumeHigh = faVolumeHigh;
        this.faVolumeUp = faVolumeUp;
        this.faUsersRays = faUsersRays;
        this.faWallet = faWallet;
        this.faClipboardCheck = faClipboardCheck;
        this.faFileAudio = faFileAudio;
        this.faBurger = faBurger;
        this.faHamburger = faHamburger;
        this.faWrench = faWrench;
        this.faBugs = faBugs;
        this.faRupeeSign = faRupeeSign;
        this.faRupee = faRupee;
        this.faFileImage = faFileImage;
        this.faCircleQuestion = faCircleQuestion;
        this.faQuestionCircle = faQuestionCircle;
        this.faPlaneDeparture = faPlaneDeparture;
        this.faHandshakeSlash = faHandshakeSlash;
        this.faBookBookmark = faBookBookmark;
        this.faCodeBranch = faCodeBranch;
        this.faHatCowboy = faHatCowboy;
        this.faBridge = faBridge;
        this.faPhoneFlip = faPhoneFlip;
        this.faPhoneAlt = faPhoneAlt;
        this.faTruckFront = faTruckFront;
        this.faCat = faCat;
        this.faAnchorCircleExclamation = faAnchorCircleExclamation;
        this.faTruckField = faTruckField;
        this.faRoute = faRoute;
        this.faClipboardQuestion = faClipboardQuestion;
        this.faPanorama = faPanorama;
        this.faCommentMedical = faCommentMedical;
        this.faTeethOpen = faTeethOpen;
        this.faFileCircleMinus = faFileCircleMinus;
        this.faTags = faTags;
        this.faWineGlass = faWineGlass;
        this.faForwardFast = faForwardFast;
        this.faFastForward = faFastForward;
        this.faFaceMehBlank = faFaceMehBlank;
        this.faMehBlank = faMehBlank;
        this.faSquareParking = faSquareParking;
        this.faParking = faParking;
        this.faHouseSignal = faHouseSignal;
        this.faBarsProgress = faBarsProgress;
        this.faTasksAlt = faTasksAlt;
        this.faFaucetDrip = faFaucetDrip;
        this.faCartFlatbed = faCartFlatbed;
        this.faDollyFlatbed = faDollyFlatbed;
        this.faBanSmoking = faBanSmoking;
        this.faSmokingBan = faSmokingBan;
        this.faTerminal = faTerminal;
        this.faMobileButton = faMobileButton;
        this.faHouseMedicalFlag = faHouseMedicalFlag;
        this.faBasketShopping = faBasketShopping;
        this.faShoppingBasket = faShoppingBasket;
        this.faTape = faTape;
        this.faBusSimple = faBusSimple;
        this.faBusAlt = faBusAlt;
        this.faEye = faEye;
        this.faFaceSadCry = faFaceSadCry;
        this.faSadCry = faSadCry;
        this.faAudioDescription = faAudioDescription;
        this.faPersonMilitaryToPerson = faPersonMilitaryToPerson;
        this.faFileShield = faFileShield;
        this.faUserSlash = faUserSlash;
        this.faPen = faPen;
        this.faTowerObservation = faTowerObservation;
        this.faFileCode = faFileCode;
        this.faSignal = faSignal;
        this.faSignal5 = faSignal5;
        this.faSignalPerfect = faSignalPerfect;
        this.faBus = faBus;
        this.faHeartCircleXmark = faHeartCircleXmark;
        this.faHouseChimney = faHouseChimney;
        this.faHomeLg = faHomeLg;
        this.faWindowMaximize = faWindowMaximize;
        this.faFaceFrown = faFaceFrown;
        this.faFrown = faFrown;
        this.faPrescription = faPrescription;
        this.faShop = faShop;
        this.faStoreAlt = faStoreAlt;
        this.faFloppyDisk = faFloppyDisk;
        this.faSave = faSave;
        this.faVihara = faVihara;
        this.faScaleUnbalanced = faScaleUnbalanced;
        this.faBalanceScaleLeft = faBalanceScaleLeft;
        this.faSortUp = faSortUp;
        this.faSortAsc = faSortAsc;
        this.faCommentDots = faCommentDots;
        this.faCommenting = faCommenting;
        this.faPlantWilt = faPlantWilt;
        this.faDiamond = faDiamond;
        this.faFaceGrinSquint = faFaceGrinSquint;
        this.faGrinSquint = faGrinSquint;
        this.faHandHoldingDollar = faHandHoldingDollar;
        this.faHandHoldingUsd = faHandHoldingUsd;
        this.faBacterium = faBacterium;
        this.faHandPointer = faHandPointer;
        this.faDrumSteelpan = faDrumSteelpan;
        this.faHandScissors = faHandScissors;
        this.faHandsPraying = faHandsPraying;
        this.faPrayingHands = faPrayingHands;
        this.faArrowRotateRight = faArrowRotateRight;
        this.faArrowRightRotate = faArrowRightRotate;
        this.faArrowRotateForward = faArrowRotateForward;
        this.faRedo = faRedo;
        this.faBiohazard = faBiohazard;
        this.faLocationCrosshairs = faLocationCrosshairs;
        this.faLocation = faLocation;
        this.faMarsDouble = faMarsDouble;
        this.faChildDress = faChildDress;
        this.faUsersBetweenLines = faUsersBetweenLines;
        this.faLungsVirus = faLungsVirus;
        this.faFaceGrinTears = faFaceGrinTears;
        this.faGrinTears = faGrinTears;
        this.faPhone = faPhone;
        this.faCalendarXmark = faCalendarXmark;
        this.faCalendarTimes = faCalendarTimes;
        this.faChildReaching = faChildReaching;
        this.faHeadSideVirus = faHeadSideVirus;
        this.faUserGear = faUserGear;
        this.faUserCog = faUserCog;
        this.faArrowUp19 = faArrowUp19;
        this.faSortNumericUp = faSortNumericUp;
        this.faDoorClosed = faDoorClosed;
        this.faShieldVirus = faShieldVirus;
        this.faDiceSix = faDiceSix;
        this.faMosquitoNet = faMosquitoNet;
        this.faBridgeWater = faBridgeWater;
        this.faPersonBooth = faPersonBooth;
        this.faTextWidth = faTextWidth;
        this.faHatWizard = faHatWizard;
        this.faPenFancy = faPenFancy;
        this.faPersonDigging = faPersonDigging;
        this.faDigging = faDigging;
        this.faTrash = faTrash;
        this.faGaugeSimple = faGaugeSimple;
        this.faGaugeSimpleMed = faGaugeSimpleMed;
        this.faTachometerAverage = faTachometerAverage;
        this.faBookMedical = faBookMedical;
        this.faPoo = faPoo;
        this.faQuoteRight = faQuoteRight;
        this.faQuoteRightAlt = faQuoteRightAlt;
        this.faShirt = faShirt;
        this.faTShirt = faTShirt;
        this.faTshirt = faTshirt;
        this.faCubes = faCubes;
        this.faDivide = faDivide;
        this.faTengeSign = faTengeSign;
        this.faTenge = faTenge;
        this.faHeadphones = faHeadphones;
        this.faHandsHolding = faHandsHolding;
        this.faHandsClapping = faHandsClapping;
        this.faRepublican = faRepublican;
        this.faArrowLeft = faArrowLeft;
        this.faPersonCircleXmark = faPersonCircleXmark;
        this.faRuler = faRuler;
        this.faAlignLeft = faAlignLeft;
        this.faDiceD6 = faDiceD6;
        this.faRestroom = faRestroom;
        this.faJ = faJ;
        this.faUsersViewfinder = faUsersViewfinder;
        this.faFileVideo = faFileVideo;
        this.faUpRightFromSquare = faUpRightFromSquare;
        this.faExternalLinkAlt = faExternalLinkAlt;
        this.faTableCells = faTableCells;
        this.faTh = faTh;
        this.faFilePdf = faFilePdf;
        this.faBookBible = faBookBible;
        this.faBible = faBible;
        this.faO = faO;
        this.faSuitcaseMedical = faSuitcaseMedical;
        this.faMedkit = faMedkit;
        this.faUserSecret = faUserSecret;
        this.faOtter = faOtter;
        this.faPersonDress = faPersonDress;
        this.faFemale = faFemale;
        this.faCommentDollar = faCommentDollar;
        this.faBusinessTime = faBusinessTime;
        this.faBriefcaseClock = faBriefcaseClock;
        this.faTableCellsLarge = faTableCellsLarge;
        this.faThLarge = faThLarge;
        this.faBookTanakh = faBookTanakh;
        this.faTanakh = faTanakh;
        this.faPhoneVolume = faPhoneVolume;
        this.faVolumeControlPhone = faVolumeControlPhone;
        this.faHatCowboySide = faHatCowboySide;
        this.faClipboardUser = faClipboardUser;
        this.faChild = faChild;
        this.faLiraSign = faLiraSign;
        this.faSatellite = faSatellite;
        this.faPlaneLock = faPlaneLock;
        this.faTag = faTag;
        this.faComment = faComment;
        this.faCakeCandles = faCakeCandles;
        this.faBirthdayCake = faBirthdayCake;
        this.faCake = faCake;
        this.faEnvelope = faEnvelope;
        this.faAnglesUp = faAnglesUp;
        this.faAngleDoubleUp = faAngleDoubleUp;
        this.faPaperclip = faPaperclip;
        this.faArrowRightToCity = faArrowRightToCity;
        this.faRibbon = faRibbon;
        this.faLungs = faLungs;
        this.faArrowUp91 = faArrowUp91;
        this.faSortNumericUpAlt = faSortNumericUpAlt;
        this.faLitecoinSign = faLitecoinSign;
        this.faBorderNone = faBorderNone;
        this.faCircleNodes = faCircleNodes;
        this.faParachuteBox = faParachuteBox;
        this.faIndent = faIndent;
        this.faTruckFieldUn = faTruckFieldUn;
        this.faHourglass = faHourglass;
        this.faHourglassEmpty = faHourglassEmpty;
        this.faMountain = faMountain;
        this.faUserDoctor = faUserDoctor;
        this.faUserMd = faUserMd;
        this.faCircleInfo = faCircleInfo;
        this.faInfoCircle = faInfoCircle;
        this.faCloudMeatball = faCloudMeatball;
        this.faCamera = faCamera;
        this.faCameraAlt = faCameraAlt;
        this.faSquareVirus = faSquareVirus;
        this.faMeteor = faMeteor;
        this.faCarOn = faCarOn;
        this.faSleigh = faSleigh;
        this.faArrowDown19 = faArrowDown19;
        this.faSortNumericAsc = faSortNumericAsc;
        this.faSortNumericDown = faSortNumericDown;
        this.faHandHoldingDroplet = faHandHoldingDroplet;
        this.faHandHoldingWater = faHandHoldingWater;
        this.faWater = faWater;
        this.faCalendarCheck = faCalendarCheck;
        this.faBraille = faBraille;
        this.faPrescriptionBottleMedical = faPrescriptionBottleMedical;
        this.faPrescriptionBottleAlt = faPrescriptionBottleAlt;
        this.faLandmark = faLandmark;
        this.faTruck = faTruck;
        this.faCrosshairs = faCrosshairs;
        this.faPersonCane = faPersonCane;
        this.faTent = faTent;
        this.faVestPatches = faVestPatches;
        this.faCheckDouble = faCheckDouble;
        this.faArrowDownAZ = faArrowDownAZ;
        this.faSortAlphaAsc = faSortAlphaAsc;
        this.faSortAlphaDown = faSortAlphaDown;
        this.faMoneyBillWheat = faMoneyBillWheat;
        this.faCookie = faCookie;
        this.faArrowRotateLeft = faArrowRotateLeft;
        this.faArrowLeftRotate = faArrowLeftRotate;
        this.faArrowRotateBack = faArrowRotateBack;
        this.faArrowRotateBackward = faArrowRotateBackward;
        this.faUndo = faUndo;
        this.faHardDrive = faHardDrive;
        this.faHdd = faHdd;
        this.faFaceGrinSquintTears = faFaceGrinSquintTears;
        this.faGrinSquintTears = faGrinSquintTears;
        this.faDumbbell = faDumbbell;
        this.faRectangleList = faRectangleList;
        this.faListAlt = faListAlt;
        this.faTarpDroplet = faTarpDroplet;
        this.faHouseMedicalCircleCheck = faHouseMedicalCircleCheck;
        this.faPersonSkiingNordic = faPersonSkiingNordic;
        this.faSkiingNordic = faSkiingNordic;
        this.faCalendarPlus = faCalendarPlus;
        this.faPlaneArrival = faPlaneArrival;
        this.faCircleLeft = faCircleLeft;
        this.faArrowAltCircleLeft = faArrowAltCircleLeft;
        this.faTrainSubway = faTrainSubway;
        this.faSubway = faSubway;
        this.faChartGantt = faChartGantt;
        this.faIndianRupeeSign = faIndianRupeeSign;
        this.faIndianRupee = faIndianRupee;
        this.faInr = faInr;
        this.faCropSimple = faCropSimple;
        this.faCropAlt = faCropAlt;
        this.faMoneyBill1 = faMoneyBill1;
        this.faMoneyBillAlt = faMoneyBillAlt;
        this.faLeftLong = faLeftLong;
        this.faLongArrowAltLeft = faLongArrowAltLeft;
        this.faDna = faDna;
        this.faVirusSlash = faVirusSlash;
        this.faMinus = faMinus;
        this.faSubtract = faSubtract;
        this.faChildRifle = faChildRifle;
        this.faChess = faChess;
        this.faArrowLeftLong = faArrowLeftLong;
        this.faLongArrowLeft = faLongArrowLeft;
        this.faPlugCircleCheck = faPlugCircleCheck;
        this.faStreetView = faStreetView;
        this.faFrancSign = faFrancSign;
        this.faVolumeOff = faVolumeOff;
        this.faHandsAslInterpreting = faHandsAslInterpreting;
        this.faAmericanSignLanguageInterpreting = faAmericanSignLanguageInterpreting;
        this.faAslInterpreting = faAslInterpreting;
        this.faHandsAmericanSignLanguageInterpreting = faHandsAmericanSignLanguageInterpreting;
        this.faGear = faGear;
        this.faCog = faCog;
        this.faDropletSlash = faDropletSlash;
        this.faTintSlash = faTintSlash;
        this.faMosque = faMosque;
        this.faMosquito = faMosquito;
        this.faStarOfDavid = faStarOfDavid;
        this.faPersonMilitaryRifle = faPersonMilitaryRifle;
        this.faCartShopping = faCartShopping;
        this.faShoppingCart = faShoppingCart;
        this.faVials = faVials;
        this.faPlugCirclePlus = faPlugCirclePlus;
        this.faPlaceOfWorship = faPlaceOfWorship;
        this.faGripVertical = faGripVertical;
        this.faArrowTurnUp = faArrowTurnUp;
        this.faLevelUp = faLevelUp;
        this.faU = faU;
        this.faSquareRootVariable = faSquareRootVariable;
        this.faSquareRootAlt = faSquareRootAlt;
        this.faClock = faClock;
        this.faClockFour = faClockFour;
        this.faBackwardStep = faBackwardStep;
        this.faStepBackward = faStepBackward;
        this.faPallet = faPallet;
        this.faFaucet = faFaucet;
        this.faBaseballBatBall = faBaseballBatBall;
        this.faS = faS;
        this.faTimeline = faTimeline;
        this.faKeyboard = faKeyboard;
        this.faCaretDown = faCaretDown;
        this.faHouseChimneyMedical = faHouseChimneyMedical;
        this.faClinicMedical = faClinicMedical;
        this.faTemperatureThreeQuarters = faTemperatureThreeQuarters;
        this.faTemperature3 = faTemperature3;
        this.faThermometer3 = faThermometer3;
        this.faThermometerThreeQuarters = faThermometerThreeQuarters;
        this.faMobileScreen = faMobileScreen;
        this.faMobileAndroidAlt = faMobileAndroidAlt;
        this.faPlaneUp = faPlaneUp;
        this.faPiggyBank = faPiggyBank;
        this.faBatteryHalf = faBatteryHalf;
        this.faBattery3 = faBattery3;
        this.faMountainCity = faMountainCity;
        this.faCoins = faCoins;
        this.faKhanda = faKhanda;
        this.faSliders = faSliders;
        this.faSlidersH = faSlidersH;
        this.faFolderTree = faFolderTree;
        this.faNetworkWired = faNetworkWired;
        this.faMapPin = faMapPin;
        this.faHamsa = faHamsa;
        this.faCentSign = faCentSign;
        this.faFlask = faFlask;
        this.faPersonPregnant = faPersonPregnant;
        this.faWandSparkles = faWandSparkles;
        this.faEllipsisVertical = faEllipsisVertical;
        this.faEllipsisV = faEllipsisV;
        this.faTicket = faTicket;
        this.faPowerOff = faPowerOff;
        this.faRightLong = faRightLong;
        this.faLongArrowAltRight = faLongArrowAltRight;
        this.faFlagUsa = faFlagUsa;
        this.faLaptopFile = faLaptopFile;
        this.faTty = faTty;
        this.faTeletype = faTeletype;
        this.faDiagramNext = faDiagramNext;
        this.faPersonRifle = faPersonRifle;
        this.faHouseMedicalCircleExclamation = faHouseMedicalCircleExclamation;
        this.faClosedCaptioning = faClosedCaptioning;
        this.faPersonHiking = faPersonHiking;
        this.faHiking = faHiking;
        this.faVenusDouble = faVenusDouble;
        this.faImages = faImages;
        this.faCalculator = faCalculator;
        this.faPeoplePulling = faPeoplePulling;
        this.faN = faN;
        this.faCableCar = faCableCar;
        this.faTram = faTram;
        this.faCloudRain = faCloudRain;
        this.faBuildingCircleXmark = faBuildingCircleXmark;
        this.faShip = faShip;
        this.faArrowsDownToLine = faArrowsDownToLine;
        this.faDownload = faDownload;
        this.faFaceGrin = faFaceGrin;
        this.faGrin = faGrin;
        this.faDeleteLeft = faDeleteLeft;
        this.faBackspace = faBackspace;
        this.faEyeDropper = faEyeDropper;
        this.faEyeDropperEmpty = faEyeDropperEmpty;
        this.faEyedropper = faEyedropper;
        this.faFileCircleCheck = faFileCircleCheck;
        this.faForward = faForward;
        this.faMobile = faMobile;
        this.faMobileAndroid = faMobileAndroid;
        this.faMobilePhone = faMobilePhone;
        this.faFaceMeh = faFaceMeh;
        this.faMeh = faMeh;
        this.faAlignCenter = faAlignCenter;
        this.faBookSkull = faBookSkull;
        this.faBookDead = faBookDead;
        this.faIdCard = faIdCard;
        this.faDriversLicense = faDriversLicense;
        this.faOutdent = faOutdent;
        this.faDedent = faDedent;
        this.faHeartCircleExclamation = faHeartCircleExclamation;
        this.faHouse = faHouse;
        this.faHome = faHome;
        this.faHomeAlt = faHomeAlt;
        this.faHomeLgAlt = faHomeLgAlt;
        this.faCalendarWeek = faCalendarWeek;
        this.faLaptopMedical = faLaptopMedical;
        this.faB = faB;
        this.faFileMedical = faFileMedical;
        this.faDiceOne = faDiceOne;
        this.faKiwiBird = faKiwiBird;
        this.faArrowRightArrowLeft = faArrowRightArrowLeft;
        this.faExchange = faExchange;
        this.faRotateRight = faRotateRight;
        this.faRedoAlt = faRedoAlt;
        this.faRotateForward = faRotateForward;
        this.faUtensils = faUtensils;
        this.faCutlery = faCutlery;
        this.faArrowUpWideShort = faArrowUpWideShort;
        this.faSortAmountUp = faSortAmountUp;
        this.faMillSign = faMillSign;
        this.faBowlRice = faBowlRice;
        this.faSkull = faSkull;
        this.faTowerBroadcast = faTowerBroadcast;
        this.faBroadcastTower = faBroadcastTower;
        this.faTruckPickup = faTruckPickup;
        this.faUpLong = faUpLong;
        this.faLongArrowAltUp = faLongArrowAltUp;
        this.faStop = faStop;
        this.faCodeMerge = faCodeMerge;
        this.faUpload = faUpload;
        this.faHurricane = faHurricane;
        this.faMound = faMound;
        this.faToiletPortable = faToiletPortable;
        this.faCompactDisc = faCompactDisc;
        this.faFileArrowDown = faFileArrowDown;
        this.faFileDownload = faFileDownload;
        this.faCaravan = faCaravan;
        this.faShieldCat = faShieldCat;
        this.faBolt = faBolt;
        this.faZap = faZap;
        this.faGlassWater = faGlassWater;
        this.faOilWell = faOilWell;
        this.faVault = faVault;
        this.faMars = faMars;
        this.faToilet = faToilet;
        this.faPlaneCircleXmark = faPlaneCircleXmark;
        this.faYenSign = faYenSign;
        this.faCny = faCny;
        this.faJpy = faJpy;
        this.faRmb = faRmb;
        this.faYen = faYen;
        this.faRubleSign = faRubleSign;
        this.faRouble = faRouble;
        this.faRub = faRub;
        this.faRuble = faRuble;
        this.faSun = faSun;
        this.faGuitar = faGuitar;
        this.faFaceLaughWink = faFaceLaughWink;
        this.faLaughWink = faLaughWink;
        this.faHorseHead = faHorseHead;
        this.faBoreHole = faBoreHole;
        this.faIndustry = faIndustry;
        this.faCircleDown = faCircleDown;
        this.faArrowAltCircleDown = faArrowAltCircleDown;
        this.faArrowsTurnToDots = faArrowsTurnToDots;
        this.faFlorinSign = faFlorinSign;
        this.faArrowDownShortWide = faArrowDownShortWide;
        this.faSortAmountDesc = faSortAmountDesc;
        this.faSortAmountDownAlt = faSortAmountDownAlt;
        this.faLessThan = faLessThan;
        this.faAngleDown = faAngleDown;
        this.faCarTunnel = faCarTunnel;
        this.faHeadSideCough = faHeadSideCough;
        this.faGripLines = faGripLines;
        this.faThumbsDown = faThumbsDown;
        this.faUserLock = faUserLock;
        this.faArrowRightLong = faArrowRightLong;
        this.faLongArrowRight = faLongArrowRight;
        this.faAnchorCircleXmark = faAnchorCircleXmark;
        this.faEllipsis = faEllipsis;
        this.faEllipsisH = faEllipsisH;
        this.faChessPawn = faChessPawn;
        this.faKitMedical = faKitMedical;
        this.faFirstAid = faFirstAid;
        this.faPersonThroughWindow = faPersonThroughWindow;
        this.faToolbox = faToolbox;
        this.faHandsHoldingCircle = faHandsHoldingCircle;
        this.faBug = faBug;
        this.faCreditCard = faCreditCard;
        this.faCreditCardAlt = faCreditCardAlt;
        this.faCar = faCar;
        this.faAutomobile = faAutomobile;
        this.faHandHoldingHand = faHandHoldingHand;
        this.faBookOpenReader = faBookOpenReader;
        this.faBookReader = faBookReader;
        this.faMountainSun = faMountainSun;
        this.faArrowsLeftRightToLine = faArrowsLeftRightToLine;
        this.faDiceD20 = faDiceD20;
        this.faTruckDroplet = faTruckDroplet;
        this.faFileCircleXmark = faFileCircleXmark;
        this.faTemperatureArrowUp = faTemperatureArrowUp;
        this.faTemperatureUp = faTemperatureUp;
        this.faMedal = faMedal;
        this.faBed = faBed;
        this.faSquareH = faSquareH;
        this.faHSquare = faHSquare;
        this.faPodcast = faPodcast;
        this.faTemperatureFull = faTemperatureFull;
        this.faTemperature4 = faTemperature4;
        this.faThermometer4 = faThermometer4;
        this.faThermometerFull = faThermometerFull;
        this.faBell = faBell;
        this.faSuperscript = faSuperscript;
        this.faPlugCircleXmark = faPlugCircleXmark;
        this.faStarOfLife = faStarOfLife;
        this.faPhoneSlash = faPhoneSlash;
        this.faPaintRoller = faPaintRoller;
        this.faHandshakeAngle = faHandshakeAngle;
        this.faHandsHelping = faHandsHelping;
        this.faLocationDot = faLocationDot;
        this.faMapMarkerAlt = faMapMarkerAlt;
        this.faFile = faFile;
        this.faGreaterThan = faGreaterThan;
        this.faPersonSwimming = faPersonSwimming;
        this.faSwimmer = faSwimmer;
        this.faArrowDown = faArrowDown;
        this.faDroplet = faDroplet;
        this.faTint = faTint;
        this.faEraser = faEraser;
        this.faEarthAmericas = faEarthAmericas;
        this.faEarth = faEarth;
        this.faEarthAmerica = faEarthAmerica;
        this.faGlobeAmericas = faGlobeAmericas;
        this.faPersonBurst = faPersonBurst;
        this.faDove = faDove;
        this.faBatteryEmpty = faBatteryEmpty;
        this.faBattery0 = faBattery0;
        this.faSocks = faSocks;
        this.faInbox = faInbox;
        this.faSection = faSection;
        this.faGaugeHigh = faGaugeHigh;
        this.faTachometerAlt = faTachometerAlt;
        this.faTachometerAltFast = faTachometerAltFast;
        this.faEnvelopeOpenText = faEnvelopeOpenText;
        this.faHospital = faHospital;
        this.faHospitalAlt = faHospitalAlt;
        this.faHospitalWide = faHospitalWide;
        this.faWineBottle = faWineBottle;
        this.faChessRook = faChessRook;
        this.faBarsStaggered = faBarsStaggered;
        this.faReorder = faReorder;
        this.faStream = faStream;
        this.faDharmachakra = faDharmachakra;
        this.faHotdog = faHotdog;
        this.faPersonWalkingWithCane = faPersonWalkingWithCane;
        this.faBlind = faBlind;
        this.faDrum = faDrum;
        this.faIceCream = faIceCream;
        this.faHeartCircleBolt = faHeartCircleBolt;
        this.faFax = faFax;
        this.faParagraph = faParagraph;
        this.faCheckToSlot = faCheckToSlot;
        this.faVoteYea = faVoteYea;
        this.faStarHalf = faStarHalf;
        this.faBoxesStacked = faBoxesStacked;
        this.faBoxes = faBoxes;
        this.faBoxesAlt = faBoxesAlt;
        this.faLink = faLink;
        this.faChain = faChain;
        this.faEarListen = faEarListen;
        this.faAssistiveListeningSystems = faAssistiveListeningSystems;
        this.faTreeCity = faTreeCity;
        this.faPlay = faPlay;
        this.faFont = faFont;
        this.faRupiahSign = faRupiahSign;
        this.faMagnifyingGlass = faMagnifyingGlass;
        this.faSearch = faSearch;
        this.faTableTennisPaddleBall = faTableTennisPaddleBall;
        this.faPingPongPaddleBall = faPingPongPaddleBall;
        this.faTableTennis = faTableTennis;
        this.faPersonDotsFromLine = faPersonDotsFromLine;
        this.faDiagnoses = faDiagnoses;
        this.faTrashCanArrowUp = faTrashCanArrowUp;
        this.faTrashRestoreAlt = faTrashRestoreAlt;
        this.faNairaSign = faNairaSign;
        this.faCartArrowDown = faCartArrowDown;
        this.faWalkieTalkie = faWalkieTalkie;
        this.faFilePen = faFilePen;
        this.faFileEdit = faFileEdit;
        this.faReceipt = faReceipt;
        this.faSquarePen = faSquarePen;
        this.faPenSquare = faPenSquare;
        this.faPencilSquare = faPencilSquare;
        this.faSuitcaseRolling = faSuitcaseRolling;
        this.faPersonCircleExclamation = faPersonCircleExclamation;
        this.faChevronDown = faChevronDown;
        this.faBatteryFull = faBatteryFull;
        this.faBattery = faBattery;
        this.faBattery5 = faBattery5;
        this.faSkullCrossbones = faSkullCrossbones;
        this.faCodeCompare = faCodeCompare;
        this.faListUl = faListUl;
        this.faListDots = faListDots;
        this.faSchoolLock = faSchoolLock;
        this.faTowerCell = faTowerCell;
        this.faDownLong = faDownLong;
        this.faLongArrowAltDown = faLongArrowAltDown;
        this.faRankingStar = faRankingStar;
        this.faChessKing = faChessKing;
        this.faPersonHarassing = faPersonHarassing;
        this.faBrazilianRealSign = faBrazilianRealSign;
        this.faLandmarkDome = faLandmarkDome;
        this.faLandmarkAlt = faLandmarkAlt;
        this.faArrowUp = faArrowUp;
        this.faTv = faTv;
        this.faTelevision = faTelevision;
        this.faTvAlt = faTvAlt;
        this.faShrimp = faShrimp;
        this.faListCheck = faListCheck;
        this.faTasks = faTasks;
        this.faJugDetergent = faJugDetergent;
        this.faCircleUser = faCircleUser;
        this.faUserCircle = faUserCircle;
        this.faUserShield = faUserShield;
        this.faWind = faWind;
        this.faCarBurst = faCarBurst;
        this.faCarCrash = faCarCrash;
        this.faY = faY;
        this.faPersonSnowboarding = faPersonSnowboarding;
        this.faSnowboarding = faSnowboarding;
        this.faTruckFast = faTruckFast;
        this.faShippingFast = faShippingFast;
        this.faFish = faFish;
        this.faUserGraduate = faUserGraduate;
        this.faCircleHalfStroke = faCircleHalfStroke;
        this.faAdjust = faAdjust;
        this.faClapperboard = faClapperboard;
        this.faCircleRadiation = faCircleRadiation;
        this.faRadiationAlt = faRadiationAlt;
        this.faBaseball = faBaseball;
        this.faBaseballBall = faBaseballBall;
        this.faJetFighterUp = faJetFighterUp;
        this.faDiagramProject = faDiagramProject;
        this.faProjectDiagram = faProjectDiagram;
        this.faCopy = faCopy;
        this.faVolumeXmark = faVolumeXmark;
        this.faVolumeMute = faVolumeMute;
        this.faVolumeTimes = faVolumeTimes;
        this.faHandSparkles = faHandSparkles;
        this.faGrip = faGrip;
        this.faGripHorizontal = faGripHorizontal;
        this.faShareFromSquare = faShareFromSquare;
        this.faShareSquare = faShareSquare;
        this.faGun = faGun;
        this.faSquarePhone = faSquarePhone;
        this.faPhoneSquare = faPhoneSquare;
        this.faPlus = faPlus;
        this.faAdd = faAdd;
        this.faExpand = faExpand;
        this.faComputer = faComputer;
        this.faXmark = faXmark;
        this.faClose = faClose;
        this.faMultiply = faMultiply;
        this.faRemove = faRemove;
        this.faTimes = faTimes;
        this.faArrowsUpDownLeftRight = faArrowsUpDownLeftRight;
        this.faArrows = faArrows;
        this.faChalkboardUser = faChalkboardUser;
        this.faChalkboardTeacher = faChalkboardTeacher;
        this.faPesoSign = faPesoSign;
        this.faBuildingShield = faBuildingShield;
        this.faBaby = faBaby;
        this.faUsersLine = faUsersLine;
        this.faQuoteLeft = faQuoteLeft;
        this.faQuoteLeftAlt = faQuoteLeftAlt;
        this.faTractor = faTractor;
        this.faTrashArrowUp = faTrashArrowUp;
        this.faTrashRestore = faTrashRestore;
        this.faArrowDownUpLock = faArrowDownUpLock;
        this.faLinesLeaning = faLinesLeaning;
        this.faRulerCombined = faRulerCombined;
        this.faCopyright = faCopyright;
        this.faEquals = faEquals;
        this.faBlender = faBlender;
        this.faTeeth = faTeeth;
        this.faShekelSign = faShekelSign;
        this.faIls = faIls;
        this.faShekel = faShekel;
        this.faSheqel = faSheqel;
        this.faSheqelSign = faSheqelSign;
        this.faMap = faMap;
        this.faRocket = faRocket;
        this.faPhotoFilm = faPhotoFilm;
        this.faPhotoVideo = faPhotoVideo;
        this.faFolderMinus = faFolderMinus;
        this.faStore = faStore;
        this.faArrowTrendUp = faArrowTrendUp;
        this.faPlugCircleMinus = faPlugCircleMinus;
        this.faSignHanging = faSignHanging;
        this.faSign = faSign;
        this.faBezierCurve = faBezierCurve;
        this.faBellSlash = faBellSlash;
        this.faTablet = faTablet;
        this.faTabletAndroid = faTabletAndroid;
        this.faSchoolFlag = faSchoolFlag;
        this.faFill = faFill;
        this.faAngleUp = faAngleUp;
        this.faDrumstickBite = faDrumstickBite;
        this.faHollyBerry = faHollyBerry;
        this.faChevronLeft = faChevronLeft;
        this.faBacteria = faBacteria;
        this.faHandLizard = faHandLizard;
        this.faDisease = faDisease;
        this.faBriefcaseMedical = faBriefcaseMedical;
        this.faGenderless = faGenderless;
        this.faChevronRight = faChevronRight;
        this.faRetweet = faRetweet;
        this.faCarRear = faCarRear;
        this.faCarAlt = faCarAlt;
        this.faPumpSoap = faPumpSoap;
        this.faVideoSlash = faVideoSlash;
        this.faBatteryQuarter = faBatteryQuarter;
        this.faBattery2 = faBattery2;
        this.faRadio = faRadio;
        this.faBabyCarriage = faBabyCarriage;
        this.faCarriageBaby = faCarriageBaby;
        this.faTrafficLight = faTrafficLight;
        this.faThermometer = faThermometer;
        this.faVrCardboard = faVrCardboard;
        this.faHandMiddleFinger = faHandMiddleFinger;
        this.faPercent = faPercent;
        this.faPercentage = faPercentage;
        this.faTruckMoving = faTruckMoving;
        this.faGlassWaterDroplet = faGlassWaterDroplet;
        this.faDisplay = faDisplay;
        this.faFaceSmile = faFaceSmile;
        this.faSmile = faSmile;
        this.faThumbtack = faThumbtack;
        this.faThumbTack = faThumbTack;
        this.faTrophy = faTrophy;
        this.faPersonPraying = faPersonPraying;
        this.faPray = faPray;
        this.faHammer = faHammer;
        this.faHandPeace = faHandPeace;
        this.faRotate = faRotate;
        this.faSyncAlt = faSyncAlt;
        this.faSpinner = faSpinner;
        this.faRobot = faRobot;
        this.faPeace = faPeace;
        this.faGears = faGears;
        this.faCogs = faCogs;
        this.faWarehouse = faWarehouse;
        this.faArrowUpRightDots = faArrowUpRightDots;
        this.faSplotch = faSplotch;
        this.faFaceGrinHearts = faFaceGrinHearts;
        this.faGrinHearts = faGrinHearts;
        this.faDiceFour = faDiceFour;
        this.faSimCard = faSimCard;
        this.faTransgender = faTransgender;
        this.faTransgenderAlt = faTransgenderAlt;
        this.faMercury = faMercury;
        this.faArrowTurnDown = faArrowTurnDown;
        this.faLevelDown = faLevelDown;
        this.faPersonFallingBurst = faPersonFallingBurst;
        this.faAward = faAward;
        this.faTicketSimple = faTicketSimple;
        this.faTicketAlt = faTicketAlt;
        this.faBuilding = faBuilding;
        this.faAnglesLeft = faAnglesLeft;
        this.faAngleDoubleLeft = faAngleDoubleLeft;
        this.faQrcode = faQrcode;
        this.faClockRotateLeft = faClockRotateLeft;
        this.faHistory = faHistory;
        this.faFaceGrinBeamSweat = faFaceGrinBeamSweat;
        this.faGrinBeamSweat = faGrinBeamSweat;
        this.faFileExport = faFileExport;
        this.faArrowRightFromFile = faArrowRightFromFile;
        this.faShield = faShield;
        this.faShieldBlank = faShieldBlank;
        this.faArrowUpShortWide = faArrowUpShortWide;
        this.faSortAmountUpAlt = faSortAmountUpAlt;
        this.faHouseMedical = faHouseMedical;
        this.faGolfBallTee = faGolfBallTee;
        this.faGolfBall = faGolfBall;
        this.faCircleChevronLeft = faCircleChevronLeft;
        this.faChevronCircleLeft = faChevronCircleLeft;
        this.faHouseChimneyWindow = faHouseChimneyWindow;
        this.faPenNib = faPenNib;
        this.faTentArrowTurnLeft = faTentArrowTurnLeft;
        this.faTents = faTents;
        this.faWandMagic = faWandMagic;
        this.faMagic = faMagic;
        this.faDog = faDog;
        this.faCarrot = faCarrot;
        this.faMoon = faMoon;
        this.faWineGlassEmpty = faWineGlassEmpty;
        this.faWineGlassAlt = faWineGlassAlt;
        this.faCheese = faCheese;
        this.faYinYang = faYinYang;
        this.faMusic = faMusic;
        this.faCodeCommit = faCodeCommit;
        this.faTemperatureLow = faTemperatureLow;
        this.faPersonBiking = faPersonBiking;
        this.faBiking = faBiking;
        this.faBroom = faBroom;
        this.faShieldHeart = faShieldHeart;
        this.faGopuram = faGopuram;
        this.faEarthOceania = faEarthOceania;
        this.faGlobeOceania = faGlobeOceania;
        this.faSquareXmark = faSquareXmark;
        this.faTimesSquare = faTimesSquare;
        this.faXmarkSquare = faXmarkSquare;
        this.faHashtag = faHashtag;
        this.faUpRightAndDownLeftFromCenter = faUpRightAndDownLeftFromCenter;
        this.faExpandAlt = faExpandAlt;
        this.faOilCan = faOilCan;
        this.faT = faT;
        this.faHippo = faHippo;
        this.faChartColumn = faChartColumn;
        this.faInfinity = faInfinity;
        this.faVialCircleCheck = faVialCircleCheck;
        this.faPersonArrowDownToLine = faPersonArrowDownToLine;
        this.faVoicemail = faVoicemail;
        this.faFan = faFan;
        this.faPersonWalkingLuggage = faPersonWalkingLuggage;
        this.faUpDown = faUpDown;
        this.faArrowsAltV = faArrowsAltV;
        this.faCloudMoonRain = faCloudMoonRain;
        this.faCalendar = faCalendar;
        this.faTrailer = faTrailer;
        this.faBahai = faBahai;
        this.faHaykal = faHaykal;
        this.faSdCard = faSdCard;
        this.faDragon = faDragon;
        this.faShoePrints = faShoePrints;
        this.faCirclePlus = faCirclePlus;
        this.faPlusCircle = faPlusCircle;
        this.faFaceGrinTongueWink = faFaceGrinTongueWink;
        this.faGrinTongueWink = faGrinTongueWink;
        this.faHandHolding = faHandHolding;
        this.faPlugCircleExclamation = faPlugCircleExclamation;
        this.faLinkSlash = faLinkSlash;
        this.faChainBroken = faChainBroken;
        this.faChainSlash = faChainSlash;
        this.faUnlink = faUnlink;
        this.faClone = faClone;
        this.faPersonWalkingArrowLoopLeft = faPersonWalkingArrowLoopLeft;
        this.faArrowUpZA = faArrowUpZA;
        this.faSortAlphaUpAlt = faSortAlphaUpAlt;
        this.faFireFlameCurved = faFireFlameCurved;
        this.faFireAlt = faFireAlt;
        this.faTornado = faTornado;
        this.faFileCirclePlus = faFileCirclePlus;
        this.faBookQuran = faBookQuran;
        this.faQuran = faQuran;
        this.faAnchor = faAnchor;
        this.faBorderAll = faBorderAll;
        this.faFaceAngry = faFaceAngry;
        this.faAngry = faAngry;
        this.faCookieBite = faCookieBite;
        this.faArrowTrendDown = faArrowTrendDown;
        this.faRss = faRss;
        this.faFeed = faFeed;
        this.faDrawPolygon = faDrawPolygon;
        this.faScaleBalanced = faScaleBalanced;
        this.faBalanceScale = faBalanceScale;
        this.faGaugeSimpleHigh = faGaugeSimpleHigh;
        this.faTachometer = faTachometer;
        this.faTachometerFast = faTachometerFast;
        this.faShower = faShower;
        this.faDesktop = faDesktop;
        this.faDesktopAlt = faDesktopAlt;
        this.faM = faM;
        this.faTableList = faTableList;
        this.faThList = faThList;
        this.faCommentSms = faCommentSms;
        this.faSms = faSms;
        this.faBook = faBook;
        this.faUserPlus = faUserPlus;
        this.faCheck = faCheck;
        this.faBatteryThreeQuarters = faBatteryThreeQuarters;
        this.faBattery4 = faBattery4;
        this.faHouseCircleCheck = faHouseCircleCheck;
        this.faAngleLeft = faAngleLeft;
        this.faDiagramSuccessor = faDiagramSuccessor;
        this.faTruckArrowRight = faTruckArrowRight;
        this.faArrowsSplitUpAndLeft = faArrowsSplitUpAndLeft;
        this.faHandFist = faHandFist;
        this.faFistRaised = faFistRaised;
        this.faCloudMoon = faCloudMoon;
        this.faBriefcase = faBriefcase;
        this.faPersonFalling = faPersonFalling;
        this.faImagePortrait = faImagePortrait;
        this.faPortrait = faPortrait;
        this.faUserTag = faUserTag;
        this.faRug = faRug;
        this.faEarthEurope = faEarthEurope;
        this.faGlobeEurope = faGlobeEurope;
        this.faCartFlatbedSuitcase = faCartFlatbedSuitcase;
        this.faLuggageCart = faLuggageCart;
        this.faRectangleXmark = faRectangleXmark;
        this.faRectangleTimes = faRectangleTimes;
        this.faTimesRectangle = faTimesRectangle;
        this.faWindowClose = faWindowClose;
        this.faBahtSign = faBahtSign;
        this.faBookOpen = faBookOpen;
        this.faBookJournalWhills = faBookJournalWhills;
        this.faJournalWhills = faJournalWhills;
        this.faHandcuffs = faHandcuffs;
        this.faTriangleExclamation = faTriangleExclamation;
        this.faExclamationTriangle = faExclamationTriangle;
        this.faWarning = faWarning;
        this.faDatabase = faDatabase;
        this.faShare = faShare;
        this.faArrowTurnRight = faArrowTurnRight;
        this.faMailForward = faMailForward;
        this.faBottleDroplet = faBottleDroplet;
        this.faMaskFace = faMaskFace;
        this.faHillRockslide = faHillRockslide;
        this.faRightLeft = faRightLeft;
        this.faExchangeAlt = faExchangeAlt;
        this.faPaperPlane = faPaperPlane;
        this.faRoadCircleExclamation = faRoadCircleExclamation;
        this.faDungeon = faDungeon;
        this.faAlignRight = faAlignRight;
        this.faMoneyBill1Wave = faMoneyBill1Wave;
        this.faMoneyBillWaveAlt = faMoneyBillWaveAlt;
        this.faLifeRing = faLifeRing;
        this.faHands = faHands;
        this.faSignLanguage = faSignLanguage;
        this.faSigning = faSigning;
        this.faCalendarDay = faCalendarDay;
        this.faWaterLadder = faWaterLadder;
        this.faLadderWater = faLadderWater;
        this.faSwimmingPool = faSwimmingPool;
        this.faArrowsUpDown = faArrowsUpDown;
        this.faArrowsV = faArrowsV;
        this.faFaceGrimace = faFaceGrimace;
        this.faGrimace = faGrimace;
        this.faWheelchairMove = faWheelchairMove;
        this.faWheelchairAlt = faWheelchairAlt;
        this.faTurnDown = faTurnDown;
        this.faLevelDownAlt = faLevelDownAlt;
        this.faPersonWalkingArrowRight = faPersonWalkingArrowRight;
        this.faSquareEnvelope = faSquareEnvelope;
        this.faEnvelopeSquare = faEnvelopeSquare;
        this.faDice = faDice;
        this.faBowlingBall = faBowlingBall;
        this.faBrain = faBrain;
        this.faBandage = faBandage;
        this.faBandAid = faBandAid;
        this.faCalendarMinus = faCalendarMinus;
        this.faCircleXmark = faCircleXmark;
        this.faTimesCircle = faTimesCircle;
        this.faXmarkCircle = faXmarkCircle;
        this.faGifts = faGifts;
        this.faHotel = faHotel;
        this.faEarthAsia = faEarthAsia;
        this.faGlobeAsia = faGlobeAsia;
        this.faIdCardClip = faIdCardClip;
        this.faIdCardAlt = faIdCardAlt;
        this.faMagnifyingGlassPlus = faMagnifyingGlassPlus;
        this.faSearchPlus = faSearchPlus;
        this.faThumbsUp = faThumbsUp;
        this.faUserClock = faUserClock;
        this.faHandDots = faHandDots;
        this.faAllergies = faAllergies;
        this.faFileInvoice = faFileInvoice;
        this.faWindowMinimize = faWindowMinimize;
        this.faMugSaucer = faMugSaucer;
        this.faCoffee = faCoffee;
        this.faBrush = faBrush;
        this.faMask = faMask;
        this.faMagnifyingGlassMinus = faMagnifyingGlassMinus;
        this.faSearchMinus = faSearchMinus;
        this.faRulerVertical = faRulerVertical;
        this.faUserLarge = faUserLarge;
        this.faUserAlt = faUserAlt;
        this.faTrainTram = faTrainTram;
        this.faUserNurse = faUserNurse;
        this.faSyringe = faSyringe;
        this.faCloudSun = faCloudSun;
        this.faStopwatch20 = faStopwatch20;
        this.faSquareFull = faSquareFull;
        this.faMagnet = faMagnet;
        this.faJar = faJar;
        this.faNoteSticky = faNoteSticky;
        this.faStickyNote = faStickyNote;
        this.faBugSlash = faBugSlash;
        this.faArrowUpFromWaterPump = faArrowUpFromWaterPump;
        this.faBone = faBone;
        this.faUserInjured = faUserInjured;
        this.faFaceSadTear = faFaceSadTear;
        this.faSadTear = faSadTear;
        this.faPlane = faPlane;
        this.faTentArrowsDown = faTentArrowsDown;
        this.faExclamation = faExclamation;
        this.faArrowsSpin = faArrowsSpin;
        this.faPrint = faPrint;
        this.faTurkishLiraSign = faTurkishLiraSign;
        this.faTry = faTry;
        this.faTurkishLira = faTurkishLira;
        this.faDollarSign = faDollarSign;
        this.faDollar = faDollar;
        this.faUsd = faUsd;
        this.faX = faX;
        this.faMagnifyingGlassDollar = faMagnifyingGlassDollar;
        this.faSearchDollar = faSearchDollar;
        this.faUsersGear = faUsersGear;
        this.faUsersCog = faUsersCog;
        this.faPersonMilitaryPointing = faPersonMilitaryPointing;
        this.faBuildingColumns = faBuildingColumns;
        this.faBank = faBank;
        this.faInstitution = faInstitution;
        this.faMuseum = faMuseum;
        this.faUniversity = faUniversity;
        this.faUmbrella = faUmbrella;
        this.faTrowel = faTrowel;
        this.faD = faD;
        this.faStapler = faStapler;
        this.faMasksTheater = faMasksTheater;
        this.faTheaterMasks = faTheaterMasks;
        this.faKipSign = faKipSign;
        this.faHandPointLeft = faHandPointLeft;
        this.faHandshakeSimple = faHandshakeSimple;
        this.faHandshakeAlt = faHandshakeAlt;
        this.faJetFighter = faJetFighter;
        this.faFighterJet = faFighterJet;
        this.faSquareShareNodes = faSquareShareNodes;
        this.faShareAltSquare = faShareAltSquare;
        this.faBarcode = faBarcode;
        this.faPlusMinus = faPlusMinus;
        this.faVideo = faVideo;
        this.faVideoCamera = faVideoCamera;
        this.faGraduationCap = faGraduationCap;
        this.faMortarBoard = faMortarBoard;
        this.faHandHoldingMedical = faHandHoldingMedical;
        this.faPersonCircleCheck = faPersonCircleCheck;
        this.faTurnUp = faTurnUp;
        this.faLevelUpAlt = faLevelUpAlt;
        this.fas = fas;
    }
}
IconsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: IconsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
IconsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: IconsModule, imports: [CommonModule, FontAwesomeModule], exports: [FontAwesomeModule] });
IconsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: IconsModule, imports: [[CommonModule, FontAwesomeModule], FontAwesomeModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: IconsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [CommonModule, FontAwesomeModule],
                    exports: [FontAwesomeModule],
                }]
        }] });

class HeaderComponent extends IconsModule {
    constructor() {
        super();
    }
    ngOnInit() {
        this.positions();
        this.menus();
    }
    positions() {
        if (this.position === 'relative') {
            this.position = 'relative';
        }
        if (this.position === 'absolute') {
            this.position = 'absolute';
        }
        if (this.position === 'fixed') {
            this.position = 'fixed';
        }
        if (this.position === 'static') {
            this.position = 'static';
        }
        if (this.position === 'inherit') {
            this.position = 'inherit';
        }
    }
    mouseEnter(event) {
        switch (event.target.id) {
            case 'menu1':
                this.menu1 = 'block';
                break;
            case 'menu2':
                this.menu2 = 'block';
                break;
            case 'menu3':
                this.menu3 = 'block';
                break;
            case 'menu4':
                this.menu4 = 'block';
                break;
            case 'menu5':
                this.menu5 = 'block';
                break;
            case 'menu6':
                this.menu6 = 'block';
                break;
            case 'user':
                this.user = 'block';
                break;
            default:
                break;
        }
    }
    mouseLeave(event) {
        switch (event.target.id) {
            case 'menu1':
                this.menu1 = 'none';
                break;
            case 'menu2':
                this.menu2 = 'none';
                break;
            case 'menu3':
                this.menu3 = 'none';
                break;
            case 'menu4':
                this.menu4 = 'none';
                break;
            case 'menu5':
                this.menu5 = 'none';
                break;
            case 'menu6':
                this.menu6 = 'none';
                break;
            case 'user':
                this.user = 'none';
                break;
            default:
                break;
        }
    }
    menus() {
        if (this.menu === 'false') {
            this.menu = 'none';
        }
        else {
            this.menu = 'flex';
        }
    }
}
HeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
HeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: HeaderComponent, selector: "klib-header", inputs: { imagePath: "imagePath", position: "position", title: "title", menu: "menu" }, usesInheritance: true, ngImport: i0, template: "<div class=\"toolbar\" role=\"banner\" [style.position]=\"position\">\n  <img alt=\"Kumon Logo\" [src]=\"imagePath\" />\n  <span>{{ title }}</span>\n  <div class=\"menu\" [style.display]=\"menu\">\n    <div\n      id=\"menu1\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Estoque\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu1\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faExpandArrowsAlt\"></fa-icon>\n            Transa\u00E7\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faMoneyCheckDollar\"></fa-icon>\n            Ajuste Monet\u00E1rio\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu2\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Compras\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu2\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faBars\"></fa-icon>\n            Lista de Compra\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faClipboardList\"></fa-icon>\n            Pedido\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faDolly\"></fa-icon>\n            Recebimento\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu3\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Invent\u00E1rio\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu3\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faEdit\"></fa-icon>\n            Cadastro/Consulta\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faEye\"></fa-icon>\n            Confer\u00EAncia\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu4\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Cadastro\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu4\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faIndustry\"></fa-icon>\n            Fornecedor\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faLayerGroup\"></fa-icon>\n            Grupo de Item\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faUsers\"></fa-icon>\n            Grupo de Usu\u00E1rio\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faBox\"></fa-icon>\n            Item\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faLock\"></fa-icon>\n            Permiss\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faThLarge\"></fa-icon>\n            Posi\u00E7\u00E3o\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faPercentage\"></fa-icon>\n            Unidade Multiplicadora\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faUser\"></fa-icon>\n            Usu\u00E1rio\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faWrench\"></fa-icon>\n            Par\u00E2metros\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu5\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Relat\u00F3rio\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu5\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faExpandArrowsAlt\"></fa-icon>\n            Transa\u00E7\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faMoneyCheckDollar\"></fa-icon>\n            Ajuste Monet\u00E1rio\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu6\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Exporta\u00E7\u00E3o\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu6\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faExpandArrowsAlt\"></fa-icon>\n            Transa\u00E7\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faMoneyCheckDollar\"></fa-icon>\n            Ajuste Monet\u00E1rio\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      class=\"user menu-item\"\n      id=\"user\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      <fa-icon class=\"user-circle\" [icon]=\"faUserCircle\"></fa-icon>\n      <fa-icon class=\"arrow-down\" [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"user\">\n        <li>\n          <div class=\"dropdown-item info\" type=\"button\">\n            <fa-icon [icon]=\"faUser\"></fa-icon>\n            <div class=\"user-text\">\n              <span> Usu\u00E1rio </span>\n              <span> Administrador do sistema </span>\n            </div>\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item info\" type=\"button\">\n            <fa-icon [icon]=\"faUsers\"></fa-icon>\n            <div class=\"user-text\">\n              <span>Grupo</span>\n              <span>Administradores do sistema</span>\n            </div>\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            Ajuda\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            Sair\n          </div>\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n", styles: [".toolbar{position:absolute;top:0;left:0;right:0;display:flex;align-items:center;background-color:#fff;color:#0000004d;font-weight:600;border-bottom:1px solid #efefef}.toolbar img{margin:0 15px;width:111px;border-right:1px solid rgba(0,0,0,.05)}.toolbar span{font-family:Montserrat;font-style:normal;font-weight:500;font-size:15px;color:#0000004d}.menu{display:flex;width:100%;justify-content:end;font-family:Montserrat;font-style:normal;font-weight:500;font-size:15px;color:#424242;height:60px}.menu fa-icon{color:#bbb;font-size:8px}.menu ul li fa-icon{font-size:16px;color:#000;width:18px;margin-right:6px}.menu ul li{font-style:normal;font-weight:400;font-size:12px;line-height:15px}.menu ul li .dropdown-item{padding:10px 15px}.menu ul li .dropdown-item:focus,.dropdown-item:hover{background-color:#226bb5;color:#fff!important}.menu ul li:nth-child(1) .dropdown-item:hover{border-radius:4px 4px 0 0!important}.menu ul li:nth-last-child(1) .dropdown-item:hover{border-radius:0 0 4px 4px}.menu ul li .dropdown-item:focus,.dropdown-item:hover fa-icon{color:#fff!important}.menu div{align-items:center;display:flex;gap:4px}.user{padding:0 27px 0 19px;border-left:1px solid rgba(0,0,0,.05);display:flex;align-items:center;gap:8px}.user .user-circle{font-size:28px}.user .arrow-down{font-size:8px}.menu .menu-item{position:relative;cursor:pointer;padding:0 10px}.menu .user .dropdown-menu{right:0}.menu .user .dropdown-menu .dropdown-item{padding:20px}.menu .user .dropdown-menu .dropdown-item .user-text{flex-direction:column;align-items:flex-start}.menu .user .dropdown-menu .dropdown-item .user-text span:nth-child(1){font-style:normal;font-weight:500;font-size:12px;line-height:15px;color:#009ada}.menu .user .dropdown-menu .dropdown-item .user-text span:nth-child(2){font-style:normal;font-weight:400;font-size:12px;line-height:15px;color:#565656}.menu .user ul li:nth-child(1) .info:focus,.info:hover{background-color:#fff;color:#000!important}.menu .user ul li:nth-child(2) .info:focus,.info:hover{background-color:#fff;color:#000!important}.menu .user ul li:nth-child(1) .info:focus,.info:hover fa-icon{color:#009ada!important}.menu .user ul li:nth-child(2) .info:focus,.info:hover fa-icon{color:#009ada!important}.menu .user ul li .dropdown-item fa-icon{color:#009ada}.menu .menu-item:hover{background-color:#f5f5f5}.menu .menu-item ul{top:60px;border:0px;right:-30px;box-shadow:2px 2px 20px -8px #0003;border-radius:4px;padding:0}\n"], components: [{ type: i1.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'klib-header', template: "<div class=\"toolbar\" role=\"banner\" [style.position]=\"position\">\n  <img alt=\"Kumon Logo\" [src]=\"imagePath\" />\n  <span>{{ title }}</span>\n  <div class=\"menu\" [style.display]=\"menu\">\n    <div\n      id=\"menu1\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Estoque\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu1\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faExpandArrowsAlt\"></fa-icon>\n            Transa\u00E7\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faMoneyCheckDollar\"></fa-icon>\n            Ajuste Monet\u00E1rio\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu2\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Compras\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu2\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faBars\"></fa-icon>\n            Lista de Compra\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faClipboardList\"></fa-icon>\n            Pedido\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faDolly\"></fa-icon>\n            Recebimento\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu3\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Invent\u00E1rio\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu3\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faEdit\"></fa-icon>\n            Cadastro/Consulta\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faEye\"></fa-icon>\n            Confer\u00EAncia\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu4\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Cadastro\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu4\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faIndustry\"></fa-icon>\n            Fornecedor\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faLayerGroup\"></fa-icon>\n            Grupo de Item\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faUsers\"></fa-icon>\n            Grupo de Usu\u00E1rio\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faBox\"></fa-icon>\n            Item\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faLock\"></fa-icon>\n            Permiss\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faThLarge\"></fa-icon>\n            Posi\u00E7\u00E3o\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faPercentage\"></fa-icon>\n            Unidade Multiplicadora\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faUser\"></fa-icon>\n            Usu\u00E1rio\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faWrench\"></fa-icon>\n            Par\u00E2metros\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu5\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Relat\u00F3rio\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu5\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faExpandArrowsAlt\"></fa-icon>\n            Transa\u00E7\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faMoneyCheckDollar\"></fa-icon>\n            Ajuste Monet\u00E1rio\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      id=\"menu6\"\n      class=\"menu-item\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      Exporta\u00E7\u00E3o\n      <fa-icon [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"menu6\">\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faExpandArrowsAlt\"></fa-icon>\n            Transa\u00E7\u00F5es\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            <fa-icon [icon]=\"faMoneyCheckDollar\"></fa-icon>\n            Ajuste Monet\u00E1rio\n          </div>\n        </li>\n      </ul>\n    </div>\n    <div\n      class=\"user menu-item\"\n      id=\"user\"\n      (mouseenter)=\"mouseEnter($event)\"\n      (mouseleave)=\"mouseLeave($event)\"\n    >\n      <fa-icon class=\"user-circle\" [icon]=\"faUserCircle\"></fa-icon>\n      <fa-icon class=\"arrow-down\" [icon]=\"faAngleDown\"></fa-icon>\n      <ul class=\"dropdown-menu dropdown-menu-end\" [style.display]=\"user\">\n        <li>\n          <div class=\"dropdown-item info\" type=\"button\">\n            <fa-icon [icon]=\"faUser\"></fa-icon>\n            <div class=\"user-text\">\n              <span> Usu\u00E1rio </span>\n              <span> Administrador do sistema </span>\n            </div>\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item info\" type=\"button\">\n            <fa-icon [icon]=\"faUsers\"></fa-icon>\n            <div class=\"user-text\">\n              <span>Grupo</span>\n              <span>Administradores do sistema</span>\n            </div>\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            Ajuda\n          </div>\n        </li>\n        <li>\n          <div class=\"dropdown-item\" type=\"button\">\n            Sair\n          </div>\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n", styles: [".toolbar{position:absolute;top:0;left:0;right:0;display:flex;align-items:center;background-color:#fff;color:#0000004d;font-weight:600;border-bottom:1px solid #efefef}.toolbar img{margin:0 15px;width:111px;border-right:1px solid rgba(0,0,0,.05)}.toolbar span{font-family:Montserrat;font-style:normal;font-weight:500;font-size:15px;color:#0000004d}.menu{display:flex;width:100%;justify-content:end;font-family:Montserrat;font-style:normal;font-weight:500;font-size:15px;color:#424242;height:60px}.menu fa-icon{color:#bbb;font-size:8px}.menu ul li fa-icon{font-size:16px;color:#000;width:18px;margin-right:6px}.menu ul li{font-style:normal;font-weight:400;font-size:12px;line-height:15px}.menu ul li .dropdown-item{padding:10px 15px}.menu ul li .dropdown-item:focus,.dropdown-item:hover{background-color:#226bb5;color:#fff!important}.menu ul li:nth-child(1) .dropdown-item:hover{border-radius:4px 4px 0 0!important}.menu ul li:nth-last-child(1) .dropdown-item:hover{border-radius:0 0 4px 4px}.menu ul li .dropdown-item:focus,.dropdown-item:hover fa-icon{color:#fff!important}.menu div{align-items:center;display:flex;gap:4px}.user{padding:0 27px 0 19px;border-left:1px solid rgba(0,0,0,.05);display:flex;align-items:center;gap:8px}.user .user-circle{font-size:28px}.user .arrow-down{font-size:8px}.menu .menu-item{position:relative;cursor:pointer;padding:0 10px}.menu .user .dropdown-menu{right:0}.menu .user .dropdown-menu .dropdown-item{padding:20px}.menu .user .dropdown-menu .dropdown-item .user-text{flex-direction:column;align-items:flex-start}.menu .user .dropdown-menu .dropdown-item .user-text span:nth-child(1){font-style:normal;font-weight:500;font-size:12px;line-height:15px;color:#009ada}.menu .user .dropdown-menu .dropdown-item .user-text span:nth-child(2){font-style:normal;font-weight:400;font-size:12px;line-height:15px;color:#565656}.menu .user ul li:nth-child(1) .info:focus,.info:hover{background-color:#fff;color:#000!important}.menu .user ul li:nth-child(2) .info:focus,.info:hover{background-color:#fff;color:#000!important}.menu .user ul li:nth-child(1) .info:focus,.info:hover fa-icon{color:#009ada!important}.menu .user ul li:nth-child(2) .info:focus,.info:hover fa-icon{color:#009ada!important}.menu .user ul li .dropdown-item fa-icon{color:#009ada}.menu .menu-item:hover{background-color:#f5f5f5}.menu .menu-item ul{top:60px;border:0px;right:-30px;box-shadow:2px 2px 20px -8px #0003;border-radius:4px;padding:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { imagePath: [{
                type: Input
            }], position: [{
                type: Input
            }], title: [{
                type: Input
            }], menu: [{
                type: Input
            }] } });

class CardMenuComponent extends IconsModule {
    constructor(router) {
        super();
        this.router = router;
    }
    ngOnInit() { }
    navigateRouter() {
        this.router.navigate(['/', this.link]);
        console.log("🚀 ~ this.link", this.link);
    }
}
CardMenuComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CardMenuComponent, deps: [{ token: i1$1.Router }], target: i0.ɵɵFactoryTarget.Component });
CardMenuComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: CardMenuComponent, selector: "klib-card-menu", inputs: { icon: "icon", colorIcon: "colorIcon", text: "text", link: "link" }, usesInheritance: true, ngImport: i0, template: "<div class=\"card-menu\" click=\"navigateRouter()\">\n  <div class=\"icon\">\n    <fa-icon [icon]=\"faUsers\" [ngStyle]=\"{ color: colorIcon }\"></fa-icon>\n  </div>\n  <div class=\"text\">{{ text }}</div>\n</div>\n", styles: [".card-menu{background:#ffffff;box-shadow:0 2px 10px -5px #00000040;border-radius:7px;height:112px;width:112px;display:flex;flex-direction:column;padding:15px 12px;gap:15px}.card-menu fa-icon{font-style:normal;font-weight:900;font-size:24px;line-height:24px}.card-menu .text{font-style:normal;font-weight:500;font-size:13px;line-height:16px;color:#5b5b5b}\n"], components: [{ type: i1.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }], directives: [{ type: i3.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: CardMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'klib-card-menu', template: "<div class=\"card-menu\" click=\"navigateRouter()\">\n  <div class=\"icon\">\n    <fa-icon [icon]=\"faUsers\" [ngStyle]=\"{ color: colorIcon }\"></fa-icon>\n  </div>\n  <div class=\"text\">{{ text }}</div>\n</div>\n", styles: [".card-menu{background:#ffffff;box-shadow:0 2px 10px -5px #00000040;border-radius:7px;height:112px;width:112px;display:flex;flex-direction:column;padding:15px 12px;gap:15px}.card-menu fa-icon{font-style:normal;font-weight:900;font-size:24px;line-height:24px}.card-menu .text{font-style:normal;font-weight:500;font-size:13px;line-height:16px;color:#5b5b5b}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.Router }]; }, propDecorators: { icon: [{
                type: Input
            }], colorIcon: [{
                type: Input
            }], text: [{
                type: Input
            }], link: [{
                type: Input
            }] } });

class KumonLibAngularModule {
}
KumonLibAngularModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: KumonLibAngularModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
KumonLibAngularModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: KumonLibAngularModule, declarations: [ButtonComponent, HeaderComponent, CardMenuComponent], imports: [CommonModule, IconsModule], exports: [ButtonComponent, HeaderComponent, CardMenuComponent, IconsModule] });
KumonLibAngularModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: KumonLibAngularModule, imports: [[CommonModule, IconsModule], IconsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: KumonLibAngularModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ButtonComponent, HeaderComponent, CardMenuComponent],
                    imports: [CommonModule, IconsModule],
                    exports: [ButtonComponent, HeaderComponent, CardMenuComponent, IconsModule],
                }]
        }] });

/*
 * Public API Surface of kumon-lib-angular
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ButtonComponent, CardMenuComponent, HeaderComponent, IconsModule, KumonLibAngularModule };
//# sourceMappingURL=klib-angular.mjs.map
